<script id="{$htmlId}-container-script">


(function($, $window, $document, globals){
"use strict";


$window.load(function(){

	var loadItemsWithEvents = false;


	{if defined('AIT_EVENTS_PRO_ENABLED')}
	if (!jQuery('body').hasClass('tax-ait-events-pro') &&
		!jQuery('body').hasClass('tax-ait-items') &&
		(!jQuery('body').hasClass('search-results') || !isAdvancedSearch()) &&
		(!jQuery('body').hasClass('search-no-results') || !isAdvancedSearch()) &&
		!jQuery('body').hasClass('single-ait-item') &&
		!jQuery('body').hasClass('single-ait-event-pro')) {

		loadItemsWithEvents = true;
	}
	{/if}

	addHeaderMapControls();

	google.maps.event.addListenerOnce(globals.globalMaps.headerMap.map, 'tilesloaded', function(){
		jQuery("#{!$htmlId}").removeClass('deactivated');
	});

	if (Modernizr.touchevents || Modernizr.pointerevents) {
		// disable the panorama on mobile
		if(globals.globalMaps.headerMap.panorama != null){
			// superhack waiting for content
			var headerMapPanoEvent = setInterval(function(){
				// we need second div because the first is the google map itself
				// if(jQuery("#{!$htmlId} .google-map-container").children('div').length > 1){ // old condition
				// this is better condition to check for button on streetview
				if(jQuery("#{!$htmlId} .draggable-toggle-button").length > 1){
					jQuery("#{!$htmlId} .google-map-container div:last-child").find('.draggable-toggle-button').parent().parent().find('div:first').css({'pointer-events': 'none'});
					clearInterval(headerMapPanoEvent);
				}
			}, 100);
		}
	}

	var defaultMarkersType = {$defaultPostType}

	var postType = 'ait-item';

	var itemRequestData				  = {};
	itemRequestData['action']       	  = 'get-items:getHeaderMapMarkers';
	itemRequestData['type']         	  = 'headerMap';
	itemRequestData['pageType']     	  = {$pageType};
	itemRequestData['postType']     	  = 'ait-item';
	itemRequestData['globalQueryVars']   = {$globalQueryVars};
	itemRequestData['query-data']   	  = {$__ait_query_data};
	itemRequestData['lang']         	  = {AitLangs::getCurrentLanguageCode()};
	{if isset($searchQuery)}
		itemRequestData['search-params'] = {$searchQuery};
	{/if}

	{if !empty($options->theme->items->sortingEnableMapPagination)}
		itemRequestData['ignorePagination'] = false;
	{else}
		itemRequestData['ignorePagination']  = true;
	{/if}

	{if $el->option('infoboxEnableTelephoneNumbers')}
		itemRequestData['enableTel']  = true;
	{/if}
	itemRequestData['query-data'].ajax = {
		limit: 500,
		offset: 0
	};

	addProgressBar(0);

	var eventRequestData = JSON.parse(JSON.stringify(itemRequestData));
	eventRequestData['postType'] = 'ait-event-pro';

	if (loadItemsWithEvents) {
		console.log("loading items with events");
		getHeaderMapMarkers(itemRequestData);
		getHeaderMapMarkers(eventRequestData);
	} else {
		if ({$globalQueryVars['post_type']} == 'ait-event-pro') {
			console.log("loading only events");
			getHeaderMapMarkers(eventRequestData);
		} else {
			console.log("loading only items");
			getHeaderMapMarkers(itemRequestData);
		}
	}



	function getHeaderMapMarkers(request_data) {

		ait.ajax.post('get-items:getHeaderMapMarkers', request_data).done(function(data){
			if(data.success == true){
				var newRequestData = JSON.parse(JSON.stringify(data.data.raw_data.request_data));
				if (request_data.postType == 'ait-item' ) {
					var type = 'item';
				} else {
					var type = 'event';
				}

				addMapPins(data.data.raw_data.markers);
				var willContinue = false;
				var post_count = parseInt(data.data.raw_data.post_count);
				var current_offset = parseInt(newRequestData['query-data'].ajax.offset);
				var found_posts =  parseInt(data.data.raw_data.found_posts);

				if ((post_count + current_offset) < found_posts) {
					willContinue = true;
				} else {
					willContinue = false;
				}

				console.log(found_posts);
				// response from first request - we can add progressbar
				if (newRequestData['query-data'].ajax.offset == 0) {
					updateProgressBarMax(found_posts);
				}
				var newOffset = parseInt(newRequestData['query-data'].ajax.offset) + parseInt(data.data.raw_data.post_count);

				updateProgressBar(post_count);

				if(willContinue){
					var newRequestData = JSON.parse(JSON.stringify(data.data.raw_data.request_data));
					newRequestData['query-data'].ajax.offset = newOffset;
					getHeaderMapMarkers(newRequestData);


				} else {
					// this shit prevents refreshing map if both items and events are loading
					// but non default post type finishes earlier than loading of default post type
					// Otherwise we expect loading of only one custom post type and map will be refreshed in any case
					if (loadItemsWithEvents) {
						if (type == defaultMarkersType ) {
							fitMap(type);
						}
					} else {
						fitMap(type);
					}
				}
			} else {
				console.log("not success");
			}
		}).fail(function(){
			console.log("fail");
		});
	}

	function addMapPins(markers){
		var mapObject = globals.globalMaps.headerMap;
		// fix only for foodguide
		// map.markers must contain all markers for frontend filters
		mapObject.markers = mapObject.markers.concat(markers);
		// mapObject.markers = markers;
		// if ( mapObject.params.enableGeolocation ) {
		// 	// mapObject.setGeolocation();
		// } else if( mapObject.params.enableAutoFit ) {
		// 	mapObject.autoFit();
		// }
		// if ( mapObject.params.enableClustering) {
		// 	mapObject.initClusterer();
		// };
	}

	function fitMap(type){

		var mapObject = globals.globalMaps.headerMap;

		mapObject.initMarkers(type);
		if ( mapObject.params.enableGeolocation ) {
			// mapObject.setGeolocation();
		} else if( mapObject.params.enableAutoFit ) {
			mapObject.autoFit();
		}
		if ( mapObject.params.enableClustering) {
			mapObject.initClusterer();
		};

		if (mapObject.params.streetview) {
			mapObject.enableStreetview();
		}
	}

	function addProgressBar(max) {
		var progressBar = document.createElement('div');
		progressBar.className = 'ait-loader';
		progressBar.dataset.max = 0;
		progressBar.dataset.current = 0;

		var loaderBar = document.createElement('div');
		loaderBar.className = 'loader-bar';

		progressBar.appendChild(loaderBar);


		var mapContainer = document.getElementById(globals.globalMaps.headerMap.containerID);
		mapContainer.appendChild(progressBar);
	}

	function updateProgressBar(count) {
		var mapContainer = document.getElementById(globals.globalMaps.headerMap.containerID);

		var loader = mapContainer.getElementsByClassName("ait-loader")[0];
		var max = parseInt(loader.dataset.max);
		var current = parseInt(loader.dataset.current);
		current = current + count;
		var progress = 100 / max * current;

		loader.dataset.current = current;
		// loader.getElementsByClassName('loader-bar')[0].style.width = (progress + '%');
		$(loader).find('.loader-bar').width(progress + '%');

		if (progress == 100) {
			hideProgressBar();
		}
	}

	function hideProgressBar() {
		var mapContainer = document.getElementById(globals.globalMaps.headerMap.containerID);
		var loader = mapContainer.getElementsByClassName("ait-loader")[0];
		$(loader).addClass('loader-hidden');
	}

	function updateProgressBarMax(max) {
		var mapContainer = document.getElementById(globals.globalMaps.headerMap.containerID);
		var loader = mapContainer.getElementsByClassName("ait-loader")[0];
		var oldMax = parseInt(loader.dataset.max);
		var newMax = oldMax + max;
		loader.dataset.max = newMax;

		var progress = 100 / (oldMax + max) * loader.dataset.current;

		$(loader).find('.loader-bar').width(progress + '%');
	}


	function addHeaderMapControls() {
		var mapObj = globals.globalMaps.headerMap;
		var map = mapObj.map;
		var panorama = globals.globalMaps.headerMap.panorama;

		{if defined('AIT_EVENTS_PRO_ENABLED')}
		if (!jQuery('body').hasClass('tax-ait-events-pro') &&
			!jQuery('body').hasClass('tax-ait-items') &&
			(!jQuery('body').hasClass('search-results') || !isAdvancedSearch()) &&
			(!jQuery('body').hasClass('search-no-results') || !isAdvancedSearch()) &&
			!jQuery('body').hasClass('single-ait-item') &&
			!jQuery('body').hasClass('single-ait-event-pro')) {

			var toggleControlDiv = document.createElement('div');
			var toggleControl = new ToggleControl(toggleControlDiv, map);
			map.controls[google.maps.ControlPosition.RIGHT_TOP].push(toggleControlDiv);
		}
		{/if}


		//if (isMobile()) {
		if(Modernizr.touchevents || Modernizr.pointerevents) {
			var disableControlDiv = document.createElement('div');
			var disableControl = new DisableHeaderControl(disableControlDiv, map);
			map.controls[google.maps.ControlPosition.RIGHT_TOP].push(disableControlDiv);

			if(panorama != null){
				var disableStreetViewDiv = document.createElement('div');
				var disableStreetViewControl = new DisableHeaderStreetViewControl(disableStreetViewDiv);
				panorama.controls[google.maps.ControlPosition.RIGHT_BOTTOM].push(disableStreetViewDiv);
			}
		}

	}



	function isAdvancedSearch() {
		var sPageURL = decodeURIComponent(window.location.search.substring(1)),
			sURLVariables = sPageURL.split('&'),
			sParameterName,
			i;

		for (i = 0; i < sURLVariables.length; i++) {
			sParameterName = sURLVariables[i].split('=');

			if (sParameterName[0] === "a") {
				return true;
			}
		}
		return false;
	}



	/**
	 * The ToggleControl adds a control to the map.
	 * This constructor takes the control DIV as an argument.
	 * @constructor
	 */
	function ToggleControl(controlDiv, map) {

		var type = {$defaultPostType};

		var eventActive = '';
		var itemActive = '';

		if (type == 'item') {
			var itemActive = ' active';
		}
		else {
			var eventActive = ' active';
			// type = 'item';
		}

		var containerID = jQuery("#{!$htmlId} .google-map-container").attr('id');
		var switchButton = document.createElement('div');
		switchButton.className = "map-switcher";

		var eventOptionButton = document.createElement('div');
		eventOptionButton.className = "option event" + eventActive;
		jQuery(eventOptionButton).append("<i class='fa fa-calendar'></i>");
		switchButton.appendChild(eventOptionButton);

		var itemOptionButton = document.createElement('div');
		itemOptionButton.className = "option item" + itemActive;
		jQuery(itemOptionButton).append("<i class='fa fa-home'></i>");
		switchButton.appendChild(itemOptionButton);

		controlDiv.appendChild(switchButton);

		var mapObj = globals.globalMaps.headerMap;
		mapObj.clear();
		mapObj.initMarkers(type);
		if ({$clustering}) {
			mapObj.initClusterer();
		}

		google.maps.event.addDomListener(eventOptionButton, 'click', function(e) {
			e.preventDefault();
			jQuery('#{!$htmlId} .option').removeClass('active');
			jQuery(this).addClass('active');
			if (type === 'event') {
				return;
			}
			type = 'event';

			mapObj.clear();
			mapObj.initMarkers(type);
			if ({$clustering}) {
				mapObj.initClusterer();
			}


			// if is location page trigger click on content tab
			if (jQuery('body').hasClass('tax-ait-locations')) {
				jQuery('#tax-locations-toggles').find("[href='#section-events']").triggerHandler('click');
			}
		});

		google.maps.event.addDomListener(itemOptionButton, 'click', function(e) {
			e.preventDefault();
			jQuery('#{!$htmlId} .option').removeClass('active');
			jQuery(this).addClass('active');
			if (type === 'item') {
				return;
			}
			type = 'item';

			mapObj.clear();
			mapObj.initMarkers(type);
			if ({$clustering}) {
				mapObj.initClusterer();
			}

			// if is location page trigger click on content tab
			if (jQuery('body').hasClass('tax-ait-locations')) {
				jQuery('#tax-locations-toggles').find("[href='#section-items']").triggerHandler('click');
			}
		});
	}


	/**
	 * The DisableControl adds a control to the map.
	 * This constructor takes the control DIV as an argument.
	 * @constructor
	 */
	function DisableHeaderControl(controlDiv, map) {
		//var mapObj = globals.globalMaps.headerMap;
		//var map = globals.globalMaps.headerMap.map;

		var containerID = jQuery("#{!$htmlId} .google-map-container").attr('id');
		var disableButton = document.createElement('div');
		disableButton.className = "draggable-toggle-button";
		jQuery(disableButton).html('<i class="fa fa-lock"></i>');

		controlDiv.appendChild(disableButton);

		jQuery(this).removeClass('active').html('<i class="fa fa-lock"></i>');
		map.setOptions({ draggable : false });

		google.maps.event.addDomListener(disableButton, 'click', function(e) {
			if(jQuery(this).hasClass('active')){
				jQuery(this).removeClass('active').html('<i class="fa fa-lock"></i>');
				map.setOptions({ draggable : false });
			} else {
				jQuery(this).addClass('active').html('<i class="fa fa-unlock"></i>');

				map.setOptions({ draggable : true });

			}
		});
	}

	function DisableHeaderStreetViewControl(controlDiv){
		var containerID = jQuery("#{!$htmlId} .google-map-container").attr('id');
		var disableButton = document.createElement('div');
		disableButton.className = "draggable-toggle-button";
		jQuery(disableButton).html('<i class="fa fa-lock"></i>');

		controlDiv.appendChild(disableButton);

		jQuery(this).removeClass('active').html('<i class="fa fa-lock"></i>');

		google.maps.event.addDomListener(disableButton, 'click', function(e) {
			if(jQuery(this).hasClass('active')){
				jQuery(this).removeClass('active').html('<i class="fa fa-lock"></i>');
				if(globals.globalMaps.headerMap.panorama != null){
					// pano hack
					jQuery(this).parent().parent().find('div:first').css({'pointer-events': 'none'});
				}
			} else {
				jQuery(this).addClass('active').html('<i class="fa fa-unlock"></i>');
				if(globals.globalMaps.headerMap.panorama != null){
					// pano hack
					jQuery(this).parent().parent().find('div:first').css({'pointer-events': ''});
				}
			}
		});
	}

});

})(jQuery, jQuery(window), jQuery(document), this);

</script>
