<script id="{$htmlId}-container-script">


(function($, $window, $document, globals){
"use strict";


var TIMELINE = TIMELINE || {};

TIMELINE = $.extend(TIMELINE, {
	params: {},
	request_data: {},

	init: function(params){
		TIMELINE.params = params;
		// buttons listeners
		TIMELINE.loadMoreOnClick();
		TIMELINE.showSimilarOnClick();
		TIMELINE.filterOnClick();

		if (!jQuery('body').hasClass('single-ait-event-pro')) {
			TIMELINE.firstLoad();
		}
		if (jQuery('body').hasClass('single-ait-item')) {
			TIMELINE.initializeTimelineFilter();
		}

		// hotfix - whole theme searches for globalMaps objects
		if (typeof globals.globalMaps === "undefined") {
			globals.globalMaps = {};
		}
	},

	firstLoad: function(){
		TIMELINE.resetRequest();

		// hotfix if specific category is selected in pagebuilder
		if (typeof TIMELINE.params.taxQuery != "undefined" && typeof TIMELINE.params.taxQuery['ait-events-pro'] != "undefined" && TIMELINE.params.taxQuery['ait-events-pro'][0] != 0) {
			TIMELINE.request_data['filters'] = [ TIMELINE.params.taxQuery['ait-events-pro'][0] ];
		}
		TIMELINE.getTimelineEvents(TIMELINE.request_data);
	},

	getTimelineEvents: function(request_data){
		ait.ajax.post('get-items:retrieve', request_data).done(function(data){
			if(data.success == true){
				var raw_data = data.data.raw_data;
				if (request_data['resetTimeline'] == true) {
					TIMELINE.clearTimeline();
				}

				// no more events in next query
				if (raw_data.lastDate.length == 0) {
					jQuery('#{!$htmlId}-load-more').hide();
					jQuery('#{!$htmlId} .load-more .no-more').show();
				}
				jQuery('#{!$htmlId} .timeline-items').append(data.data.html_data);
				jQuery('#{!$htmlId}').trigger("content-updated");
				jQuery('#{!$htmlId}-load-more').removeClass('loading');
				jQuery('#{!$htmlId} .timeline-sidebar').removeClass('ait-preloader');

				TIMELINE.addMapPins(raw_data.events_markers);

				//update original request with new returned data
				TIMELINE.request_data.lastDate = raw_data.lastDate;
				TIMELINE.request_data.offset = raw_data.offset;
				TIMELINE.request_data.found_posts = raw_data.found_posts;

				TIMELINE.request_data.resetTimeline = false;
			} else {
				console.log("not success");
			}
		}).fail(function(){
			console.log("fail");
		});
	},

	addMapPins: function(markers){
		if (globals.globalMaps.timeline !== undefined) {
			var map = globals.globalMaps.timeline;
			map.markers = markers;
			map.initMarkers();
			map.initClusterer();
			map.autoFit();
		}
	},

	loadMoreOnClick: function(){
		jQuery('#{!$htmlId}-load-more').click(function(e){
			e.preventDefault();
			jQuery(this).addClass('loading');
			TIMELINE.getTimelineEvents(TIMELINE.request_data);
		});
	},

	showSimilarOnClick: function(){
		jQuery('.simillar-events-btn').click(function(e){
			e.preventDefault();
			jQuery(".elm-sidebar-map-content").removeClass('timeline-hidden');

			var mapSidebar = jQuery("#{!$htmlId} .map-sidebar"),
				headerHeight = jQuery(".header-container").height();

			if(!isResponsive(1280)){
				mapSidebar.height(headerHeight);
			}
			TIMELINE.clearTimeline();
			jQuery(this).parent().hide();
			TIMELINE.firstLoad();

			setTimeout(function() {
				google.maps.event.trigger(globals.globalMaps.timeline.map, "resize");
			}, 500);
		});
	},


	initializeTimelineFilter: function(){
		var request_data = {};
		request_data['itemId'] = TIMELINE.params.itemId;
		ait.ajax.post('get-items:initFilter', request_data).done(function(data){
			if(data.success == true){
				jQuery('#{!$htmlId} .categories-sidebar').append(data.data.html_data);
				// hotfix - apply fade effect on category filter
				jQuery('#{!$htmlId} .categories-sidebar').slideDown();
				taxonomyFadeHover();
			} else {
				console.log("not success");
			}
		}).fail(function(){
			console.log("fail");
		});
	},

	filterOnClick: function(){
		jQuery(".elm-sidebar-map-content .categories-sidebar .categories-container").on('click', 'a', function(e) {
			e.preventDefault();

			if (jQuery(this).hasClass("active")) {
				jQuery(this).removeClass('active');
			} else {
				jQuery(this).addClass('active');
			}

			TIMELINE.resetRequest();


			jQuery('#{!$htmlId} .timeline-sidebar').addClass('ait-preloader');
			if (TIMELINE.getFilters().length > 0) {
				TIMELINE.request_data['filters'] = TIMELINE.getFilters();
			} else {
				TIMELINE.request_data['filters'] = [0];
			}
			TIMELINE.getTimelineEvents(TIMELINE.request_data);
		});

	},

	getFilters: function(){
		var terms = [];
		jQuery(".elm-sidebar-map-content .categories-sidebar ul").find('a').each(function(){
			if (jQuery(this).hasClass("active")) {
				terms.push(jQuery(this).data('id'));
			}
		});
		return terms;
	},

	clearTimeline: function(){
		if (globals.globalMaps.timeline !== undefined) {
			globals.globalMaps.timeline.clear();
		}
		jQuery('#{!$htmlId} .timeline-items').empty();
		jQuery('#{!$htmlId}-load-more').show();
		jQuery('#{!$htmlId} .load-more .no-more').hide();
	},

	resetRequest: function(){
		TIMELINE.request_data = {};
		TIMELINE.request_data['params'] = TIMELINE.params;

		TIMELINE.request_data['posts_per_page'] = 4;
		TIMELINE.request_data['offset'] = 0;

		TIMELINE.request_data['type']        = 'sidebarTimelineTemplate';
		TIMELINE.request_data['lastDate']    = '';
		TIMELINE.request_data['found_posts'] = -1;

		TIMELINE.request_data['resetTimeline'] = true;
	},

});


$window.load(function(){
	var pageContainer = jQuery(".page-container"),
		sidebarMap = jQuery(".sidebar-map"),
		sidebarMapContent = jQuery(".elm-sidebar-map-content"),
		mapNav = jQuery(".map-nav"),
		windowHeight = jQuery(window).height(),
		adminBar = 0;

	if(jQuery('body').hasClass('admin-bar')){
		adminBar = jQuery('#wpadminbar').height();
	}

	{if defined('AIT_EVENTS_PRO_ENABLED')}
		TIMELINE.init({$timelineParams});


		{if $map}
			addMapControls();
		{/if}


		// toggle timeline in responsive
		jQuery('#{!$htmlId} .timeline-toggle i').click(function() {
			jQuery('#{!$htmlId} .timeline-sidebar').toggleClass("opened");
		});

	{/if}

	/* Fixed Sidebar and Custom Scrollbar Init */
	if(!isResponsive(1280)){
		if (!isMobile()) {
			customScrollbar();
		}
		sidebarContentHeight();
		stopOnBottom();

		/* Update map height to match header height */
		mapHeight();
	} else {
		sidebarMapContent.removeClass('optiscroll');
		sidebarMapContent.children().first().removeClass('optiscroll-content');
	}

	jQuery(window).scroll(function() {

		if(!isResponsive(1280)){
			stopOnBottom();
		}

	});

	jQuery(window).resize(function() {

		if(!isResponsive(1280)){
			if (!isMobile()) {
				customScrollbar();
			}
			sidebarContentHeight();
			stopOnBottom();

		} else {
			sidebarMapContent.removeClass('optiscroll');
			sidebarMapContent.children().first().removeClass('optiscroll-content');
		}

	});

	/* DOM Change Listener */

	jQuery(document).on('height-changed', function() {

		if(!isResponsive(1280)){

			stopOnBottom();
			sidebarContentHeight();
		}

	});







	function addMapControls() {
		var mapObj = globals.globalMaps.timeline;
		var map = mapObj.map;

		if (isMobile()) {
			var disableControlDiv = document.createElement('div');
			var disableControl = new DisableControl(disableControlDiv, map);
			map.controls[google.maps.ControlPosition.RIGHT_TOP].push(disableControlDiv);
		}
	}



	/**
	 * The DisableControl adds a control to the map.
	 * This constructor takes the control DIV as an argument.
	 * @constructor
	 */
	function DisableControl(controlDiv, map) {
		var mapObj = globals.globalMaps.timeline;
		var map = mapObj.map;

		var containerID = jQuery("#{!$htmlId} .google-map-container").attr('id');
		var disableButton = document.createElement('div');
		disableButton.className = "draggable-toggle-button";
		jQuery(disableButton).html('<i class="fa fa-lock"></i>');

		controlDiv.appendChild(disableButton);


		jQuery(this).removeClass('active').html('<i class="fa fa-lock"></i>');
		map.setOptions({ draggable : false });

		google.maps.event.addDomListener(disableButton, 'click', function(e) {
			if(jQuery(this).hasClass('active')){
				jQuery(this).removeClass('active').html('<i class="fa fa-lock"></i>');
				map.setOptions({ draggable : false });
			} else {
				jQuery(this).addClass('active').html('<i class="fa fa-unlock"></i>');

				map.setOptions({ draggable : true });
			}
		});
	}


	function mapHeight() {

		var mapSidebar = jQuery("#{!$htmlId} .map-sidebar");

		{if $wp->isSingular('ait-event-pro')}

			var mapNavHeight = mapNav.height(),
				catSidebarHeight = jQuery("#{!$htmlId} .categories-sidebar").outerHeight(),
		 		mapSidebarHeight = windowHeight - adminBar - mapNavHeight - catSidebarHeight;
			mapSidebar.height(mapSidebarHeight);
			mapSidebar.attr("data-initheight", mapSidebarHeight);
			setTimeout(function() {
				mapSidebar.css('min-height', 0);
			}, 800);

		{else}

			var headerHeight = jQuery(".header-container").height();
			mapSidebar.height(headerHeight);

		{/if}

	}


	function customScrollbar() {

		sidebarMapContent.optiscroll({
			forceScrollbars: true,
			preventParentScroll: true
		});

	}

	function sidebarContentHeight() {

		windowHeight = jQuery(window).height();
		var mapMenuHeight = mapNav.height(),
			pageContainerHeight = pageContainer.height(),
			sidebarMapContentHeight = sidebarMapContent.height(),
			mapContentHeight = windowHeight - mapMenuHeight - adminBar;

		sidebarMapContent.css('top', mapNav.height() + adminBar);
		sidebarMapContent.height(mapContentHeight);
		sidebarMapContent.attr("data-initheight", mapContentHeight);

		if (pageContainerHeight < windowHeight) {
			sidebarMapContent.height(pageContainer.height() - mapNav.height());
		}
	}

	function stopOnBottom() {

		var pageOffset = pageContainer.offset().top + pageContainer.outerHeight(true),
			pageY = pageOffset - jQuery(window).scrollTop(),
			mapSidebar = jQuery("#{!$htmlId} .map-sidebar"),
			ammount = jQuery(window).height() - pageY;

		if (ammount >= 0) {
			sidebarMapContent.height(sidebarMapContent.attr('data-initheight') - ammount);
			{if $wp->isSingular('ait-event-pro')}
				if (sidebarMapContent.hasClass("timeline-hidden")) mapSidebar.height(mapSidebar.attr('data-initheight') - ammount);
			{/if}
		}

		if (ammount < 0 && ammount > -500) {
			sidebarMapContent.height(sidebarMapContent.attr('data-initheight'));
			{if $wp->isSingular('ait-event-pro')}
				if (sidebarMapContent.hasClass("timeline-hidden")) mapSidebar.height(mapSidebar.attr('data-initheight'));
			{/if}
		}

	}
});


})(jQuery, jQuery(window), jQuery(document), this);


</script>
