{var $noFeatured = $eventsProOptions['noFeatured']}
{var $title = $el->option(eventTitle)}

{var $postType = 'ait-event-pro'}
{var $lang = AitLangs::getCurrentLanguageCode()}
{var $count = $el->option(eventCount)}
{var $orderBy = array()}
{var $order = $el->option(eventOrder)}

{var $postIn = AitEventsPro::getEventsFromDate(date_i18n('Y-m-d H:i:s'))}

{if $el->option(eventOrderby) == 'eventDate'}
	{var $orderBy = 'post__in'}
{else}
	{var $orderBy[$el->option(eventOrderby)] = $order}
{/if}

{if $order == 'DESC'}
	{var $postIn = array_reverse($postIn)}
{/if}

{var $args = array(
	'lang'           => $lang,
	'post_type'      => $postType,
	'posts_per_page' => $count,
	'post__in'		 => $postIn,
	'orderby'        => $orderBy,
	'order'          => $order,
)}

{var $query = aitGetItems($args)}
{if $query->havePosts}

	{var $imgWidth = 768}

	<div class="events-module">

		{if $title}
			<h2 class="title">{!$title}</h2>
		{/if}

		<div class="module-content">
		{customLoop from $query as $item}
		{var $meta = $item->meta('event-pro-data')}

			<div n:class='item'>

				<a href="{$item->permalink}">
					{var $imgHeight = ($imgWidth / 4) * 3}
					<div class="item-thumbnail">
						{if $item->hasImage}
						<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $item->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
						{else}
						<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
						{/if}

						{var $nextDates = AitEventsPro::getEventClosestDate($item->id)}
						{var $date_timestamp = strtotime($nextDates['dateFrom'])}
						{var $day = date_i18n('d', $date_timestamp)}
						{var $month = date_i18n('F', $date_timestamp)}

						<div class="entry-date">
							<div class="day">{$day}</div>
							<div class="month">{$month}</div>
						</div>
					</div>
				</a>

				<div class="item-text">
					<div class="item-title"><a href="{$item->permalink}"><h3>{!$item->title}</h3></a></div>
					<div class="item-categories">
						{includePart "portal/parts/event-taxonomy", itemID => $item->id, onlyParent => true, taxonomy => 'ait-events-pro', count => 3}
					</div>
				</div>

			</div>

		{/customLoop}
		</div>

	</div>

{else}
	<div class="module-empty">
		<div class="alert alert-info">
			{_x 'Events Pro', 'name of element'}&nbsp;&nbsp;|&nbsp;&nbsp;{__ 'Info: There are no items created, add some please.'}
		</div>
	</div>
{/if}
