{var $sortingSettings = $options->theme->sorting}
{var $topFeatured = $sortingSettings->topFeatured}
{var $title = $el->option(itemTitle)}

{var $postType = 'ait-item'}
{var $lang = AitLangs::getCurrentLanguageCode()}
{var $count = $el->option(itemCount)}
{var $orderBy = array()}
{var $order = $el->option(itemOrder)}

{var $noFeatured = $options->theme->item->noFeatured}

{var $metaQuery = array()}

{if $topFeatured}
	{var $metaQuery = array(
		'relation'        => 'AND',
		'featured_clause' => array(
			'key'     => '_ait-item_item-featured',
			'compare' => 'EXISTS'
		)
	)}

	{var $orderBy => array(
		'featured_clause' => 'DESC',
    )}
{/if}


{if defined('AIT_REVIEWS_ENABLED') and $el->option(itemOrderby) == 'none'}
	{var $metaQuery['rating_clause'] = array(
		'key'     => 'rating_mean',
		'compare' => 'EXISTS'
	)}
	{var $orderBy['rating_clause'] = $order}
{/if}

{var $orderBy[$el->option(itemOrderby)] = $order}

{var $args = array(
	'lang'           => $lang,
	'post_type'      => $postType,
	'posts_per_page' => $count,
	'meta_query'     => $metaQuery,
	'orderby'        => $orderBy,
)}


{var $query = aitGetItems($args)}

{if $query->havePosts}

	{var $imgWidth = 768}

	<div class="items-module">

		{if $title}
			<h2 class="title">{!$title}</h2>
		{/if}

		<div class="module-content">
		{customLoop from $query as $item}
			{var $meta = $item->meta('item-data')}

			{var $dbFeatured = get_post_meta($item->id, '_ait-item_item-featured', true)}
			{var $isFeatured = $dbFeatured != "" ? (bool)$dbFeatured : false }
			{var $rating_class = ""}

			{if defined('AIT_REVIEWS_ENABLED')}
				{var $rating_mean = get_post_meta($item->id, 'rating_mean', true)}
				{var $rating_class = intval($rating_mean) == 0 ? "no-reviews" : ""}
			{/if}

			<div n:class='item, $isFeatured ? item-featured, defined("AIT_REVIEWS_ENABLED") ? reviews-enabled, $rating_class'>

				<a href="{$item->permalink}">
					{var $imgHeight = ($imgWidth / 4) * 3}
					<div class="item-thumbnail">
						{if $item->hasImage}
						<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $item->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
						{else}
						<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
						{/if}

						{if defined('AIT_REVIEWS_ENABLED')}
							{if intval($rating_mean) > 0}
							<div class="review-stars-container">
								<span class="review-stars" data-score="{$rating_mean}"></span>
							</div>
							{/if}
						{/if}
					</div>
				</a>
				<div class="item-text">
					<div class="item-title"><a href="{$item->permalink}"><h3>{!$item->title}</h3></a></div>
					<div class="item-categories">
						{includePart "portal/parts/item-taxonomy", itemID => $item->id, taxonomy => 'ait-items'}
					</div>
				</div>

			</div>

		{/customLoop}
		</div>

	</div>

{else}
	<div class="module-empty">
		<div class="alert alert-info">
			{_x 'Items', 'name of element'}&nbsp;&nbsp;|&nbsp;&nbsp;{__ 'Info: There are no items created, add some please.'}
		</div>
	</div>
{/if}


