{var $title = $el->option(postTitle)}

{var $postType = 'post'}
{var $lang = AitLangs::getCurrentLanguageCode()}
{var $count = $el->option(postCount)}
{var $orderBy = $el->option(postOrderby)}
{var $order = $el->option(postOrder)}

{var $args = array(
	'lang'           => $lang,
	'post_type'      => $postType,
	'posts_per_page' => $count,
	'orderby'        => $orderBy,
	'order'          => $order,
)}

{var $query = aitGetItems($args)}

{if $query->havePosts}

	{* Unified variables and data *}
	{var $imgWidth = 768}

	<div class="posts-module">

		{if $title}
			<h2 class="title">{!$title}</h2>
		{/if}

		<div class="module-content">
		{customLoop from $query as $item}

			<div n:class='item'>

				<a href="{$item->permalink}">
					{var $imgHeight = ($imgWidth / 4) * 3}
					<div class="item-thumbnail">
						{if $item->hasImage}
						<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $item->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
						{/if}

						{var $date_timestamp = strtotime($item->date)}
						{var $day = date_i18n('d', $date_timestamp)}
						{var $month = date_i18n('F', $date_timestamp)}

						<div class="entry-date">
							<div class="day">{$day}</div>
							<div class="month">{$month}</div>
						</div>
					</div>
				</a>

				<div class="item-text">
					<div class="item-title"><a href="{$item->permalink}"><h3>{!$item->title}</h3></a></div>
					<div class="item-excerpt"><p class="txtrows-3">{!$item->excerpt(200)|striptags}</p></div>
				</div>

			</div>

		{/customLoop}
		</div>

	</div>

{else}
	<div class="elm-item-organizer-container">
		<div class="alert alert-info">
			{_x 'Posts', 'name of element'}&nbsp;&nbsp;|&nbsp;&nbsp;{__ 'Info: There are no items created, add some please.'}
		</div>
	</div>
{/if}
