<?php

require_once dirname(__FILE__) . '/AitExtendConfig.php';



add_filter('ait-load-elements-configs', 'aitExtendElementsConfigs', 14);
function aitExtendElementsConfigs($allElements)
{
	foreach ($allElements as $key => $element) {

		switch ($key) {
			case 'header-map':
				$allElements[$key]['options'] += AitExtendConfig::getNeonSection(AitExtendConfig::getSectionIndex($element['options']), 'Events Pro Settings');
				$allElements[$key]['options'] = array_merge($allElements[$key]['options'], AitExtendConfig::getOptions('header-map'));
				break;
			case 'search-form':
				$allElements[$key]['options'] = AitExtendConfig::arrayInsert($allElements[$key]['options'], AitExtendConfig::getOptions('search-form'), 2);
				break;
			case 'taxonomy-list':
				$allElements[$key]['options']['taxonomy']['default'] = AitExtendConfig::arrayInsert($allElements[$key]['options']['taxonomy']['default'], array('ait-events-pro' => __("Event Categories", 'ait-admin')), 1);
				break;
			case 'sidebar-map':
				$allElements[$key]['options'] = AitExtendConfig::arrayInsert($allElements[$key]['options'], AitExtendConfig::getOptions('sidebar-map'), 3);
				break;

			default:

				break;
		}


	}
	return $allElements;
}


add_filter('ait-layout-config', 'aitExtendLayoutConfig');
function aitExtendLayoutConfig($config)
{
	$i = 0;
	foreach ($config['general']['options'] as $key => $option) {
		$i++;
		if ($key === "headerType") {
			$config['general']['options'][$key]['default']['eventslider'] = __("Event Slider", 'ait-admin');

			$config['general']['options'] = AitExtendConfig::arrayInsert($config['general']['options'], AitExtendConfig::getNeonSection(AitExtendConfig::getSectionIndex($config['general']['options']), 'Event Slider Options', 'headerType-eventslider'),
				$i);

			$i++;

			$config['general']['options'] = AitExtendConfig::arrayInsert($config['general']['options'], AitExtendConfig::getEventSliderOptions(),
				$i);
		} elseif ($key === "headerSearchType") {
			$config['general']['options'][$key]['default']['events'] = __("Events", 'ait-admin');
		}
	}
	return $config;
}



add_filter('ait-theme-config', 'aitExtendThemeConfig');
function aitExtendThemeConfig($config)
{
	$config['packages']['options']['packageTypes']['items'] = AitExtendConfig::arrayInsert($config['packages']['options']['packageTypes']['items'], AitExtendConfig::getOptions('packages'), 5);
	foreach ($config['packages']['options']['packageTypes']['default'] as $key => $value) {
		$config['packages']['options']['packageTypes']['default'][$key] = AitExtendConfig::arrayInsert($config['packages']['options']['packageTypes']['default'][$key], array('maxEvents' => 0), 4);
	}
	return $config;
}



add_action('init', 'aitAddEventProLocation');
function aitAddEventProLocation()
{
    register_taxonomy_for_object_type('ait-locations', 'ait-event-pro');
}



add_filter("manage_ait-event-pro_posts_columns" , 'aitManageEventsProColumns');
function aitManageEventsProColumns($columns)
{
	$newColumns = array(
		'item' => __('Item', 'ait-admin'),
	);
	return array_merge($columns, $newColumns);
}



add_action("manage_ait-event-pro_posts_custom_column" , 'aitCustomEventsProColumnValue', 10, 2 );
function aitCustomEventsProColumnValue($column, $postId)
{
	if ($column == 'item') {
		$meta = get_post_meta( $postId, '_ait-event-pro_event-pro-data', true );
		if (isset($meta['item']) and $meta['item'] != 0) {
			echo get_the_title($meta['item']);
		} else {
			echo '';
		}
	}
}












