{block content}

{? global $wp_query}
{var $query = $wp_query}

{if $query->have_posts()}
	{var $noFeatured = $options->theme->item->noFeatured}

	{var $imgWidth = 768}
	{var $imgHeight = 195}

	{includePart portal/parts/search-filters, max => $query->found_posts}

	{if defined("AIT_ADVANCED_FILTERS_ENABLED")}
		{includePart portal/parts/advanced-filters, query => $query}
	{/if}

	{includePart parts/pagination, location => pagination-above, max => $query->max_num_pages}

	<div class="items-container">
		{customLoop from $query as $post}
			{var $categories = get_the_terms($post->id, 'ait-items')}
			{var $meta = $post->meta('item-data')}

			{var $dbFeatured = get_post_meta($post->id, '_ait-item_item-featured', true)}
			{var $isFeatured = $dbFeatured != "" ? (bool)$dbFeatured : false}


			<div n:class='item-container, $isFeatured ? "item-featured", defined("AIT_REVIEWS_ENABLED") ? reviews-enabled'>

				<a href="{$post->permalink}">
				{var $imgHeight = ($imgWidth / 4) * 3}
				<div class="item-thumbnail">
					{if $post->hasImage}
					<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $post->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
					{else}
					<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
					{/if}
				</div>
				</a>

				<div class="item-text">
					{if defined('AIT_REVIEWS_ENABLED')}
						{includePart "portal/parts/carousel-reviews-stars", item => $post, showCount => false}
					{/if}
					<div class="item-title"><a href="{$post->permalink}"><h3>{!$post->title}</h3></a></div>

					{if count($categories) > 0}
					<div class="item-categories">
						{includePart "portal/parts/item-taxonomy", itemID => $post->id, taxonomy => 'ait-items'}
					</div>
					{/if}

					<div class="item-excerpt">
						<p class="txtrows-3">
							{if $post->hasContent}
								{!$post->content|striptags|trim|truncate: 180}
							{else}
								{!$post->excerpt|striptags|trim|truncate: 180}
							{/if}
						</p>
					</div>

					<div class="item-location"><p>{$meta->map['address']}</p></div>

				</div>
				<div class="item-more"><a href="{$post->permalink}">{__ 'More info'}</a></div>

			</div>
		{/customLoop}
	</div>

	{includePart parts/pagination, location => pagination-below, max => $query->max_num_pages}

{else}
	{includePart parts/none, message => nothing-found}
{/if}