

"use strict";

function desktopMenu(){
	if(!isResponsive(769)){
		// only run at 769px+
		jQuery('.nav-menu-main').find('li').each(function(){
			if(jQuery(this).find('ul.sub-menu').length){
				// item has a submenu
				jQuery(this).addClass('has-submenu');
			}
		});

		popupDesktopMenu();

		androidDesktopMenuFix();
	}
}

function responsiveMenu(){
	if(isResponsive(768)){
		// only run at 768px-
		jQuery('.main-nav .menu-toggle').bind('touchstart MSPointerDown', function(){
			if(jQuery('.main-nav .nav-menu-main').hasClass('menu-opened')){
				jQuery('.main-nav .nav-menu-main').hide();
			} else {
				jQuery('.main-nav .nav-menu-main').show();
			}
			jQuery('.main-nav .nav-menu-main').toggleClass('menu-opened');

			return false;
		});

		//iphoneMenuFix();
	}
}

/*function iphoneMenuFix(){
	if(isUserAgent('iphone')){
		jQuery('.main-nav li a').each(function(){
			jQuery(this).on('touchstart', function(){
				window.location.href = jQuery(this).attr('href');
			});
		});
	}
}*/

function androidDesktopMenuFix(){
	if(isAndroid()){
		jQuery('.nav-menu-main').find('li').each(function(){
			jQuery(this).bind('click', function(e){
				e.stopPropagation();
				if(jQuery(this).hasClass('has-submenu')){
					var itemID = jQuery(this).attr('id');
					if(jQuery(this).hasClass('clicked-once')){
						// the second click on target
					} else {
						// if there was clicked on other item reset all except current
						jQuery('.nav-menu-main').find('li').each(function(){
							if(jQuery(this).attr('id') != itemID){
								jQuery(this).removeClass('clicked-once');
							}
						});
						// first click on target
						e.preventDefault();
						jQuery(this).addClass('clicked-once');
					}
				} else {
					// normal flow
				}
			});
		});
	}
}

function popupDesktopMenu(){
	/*if(jQuery('body').hasClass('sticky-menu-enabled')){
		var clonedMenu = jQuery('header.site-header .nav-menu-main').clone();
		if(typeof clonedMenu.find('ul.nav-menu').attr('id') != "undefined"){
			clonedMenu.find('ul.nav-menu').attr({'id':clonedMenu.find('ul.nav-menu').attr('id')+'-clone'});
		}
		clonedMenu.find('ul.nav-menu').children('li').each(function(){
			if(typeof jQuery(this).attr('id') != "undefined"){
				jQuery(this).attr({'id': jQuery(this).attr('id')+"-clone"});
			}
		});
		jQuery('div.sticky-menu .main-nav').append(clonedMenu);

		var container = jQuery('#masthead');
		var menu = {offset: container.offset(), height: container.outerHeight(true)};
		var page = jQuery('body');
		var scroll = (menu.offset.top + menu.height);
		if(!isResponsive(641)){
			var win = jQuery(window);


			setInterval(function(){
				if(win.scrollTop() > scroll){
					page.addClass('header-scrolled');
				} else {
					page.removeClass('header-scrolled');
				}
			},200);
		}
	}*/

	if(!isResponsive(768)){
		if(jQuery('body').hasClass('sticky-menu-enabled')){

			var stickyMenu = jQuery('.menu-container');
			var stickyOffset = /*stickyMenu.height()*/72;

			if (stickyMenu.next('div').length) {
				stickyMenu.next().css('margin-top', stickyOffset);
			} else {
				jQuery('.page-content').css('margin-top', stickyOffset);
			}
		}
	}
}

function prepareFitMenu(){
	var reservedForDropdown = 100;

	var $container = jQuery('.grid-main');
	var $navContainer = $container.find('.main-nav');
	var $menuContainer = $navContainer.find('.ait-megamenu');

	$navContainer.css({'display':'inline-block', 'visibility':'hidden'});

	// create the wrapper if missing
	if($menuContainer.find('.menu-item-wrapper').length == 0){
		var containerWidth = $container.width();
		var siteLogoWidth = $container.find('.site-logo').width();
		var headerSearchWidth = $container.find('.header-search').width();
		var siteToolsWidth = $container.find('.site-tools').width();

		var avalaibleSpace = parseInt(containerWidth - (siteLogoWidth + siteToolsWidth + headerSearchWidth));
		avalaibleSpace = avalaibleSpace - reservedForDropdown;

		if(parseInt($navContainer.width()) > avalaibleSpace){
			$menuContainer.append('<li class="menu-item-wrapper"><i class="fa fa-ellipsis-v"></i><ul class="menu-items-wrap"></ul></li>')
		}
	}

	// duplicate the menu to the wrapper
	var $menuWrapper = $menuContainer.find('.menu-items-wrap');
	var $menuContainerChildren = $menuContainer.children('li:not(.menu-item-wrapper)').clone(true);
	$menuContainerChildren.appendTo($menuWrapper);

	$menuWrapper.find('li').each(function(){
		// update id
		var oldId = jQuery(this).attr('id');
		if(typeof oldId !== "undefined"){
			jQuery(this).attr('id', jQuery(this).attr('id')+'-wrapclone');
		}
		// update class
		if(jQuery(this).hasClass('menu-item-has-columns')){
			jQuery(this).removeAttr('class');
			jQuery(this).addClass('menu-item-wrapped menu-item-has-columns');
		} else {
			jQuery(this).removeAttr('class');
			jQuery(this).addClass('menu-item-wrapped');
		}
	});

	var allLiWidth = 0;
	$menuContainer.children('li:not(.menu-item-wrapper)').each(function(){
		var width = jQuery(this).width();
		jQuery(this).attr('data-width', width);
		allLiWidth = allLiWidth + width;
	});
	$menuContainer.attr('data-liWidth', allLiWidth);

	clearMegamenu();
	menuAddClasses();

	$menuContainer.children('li.menu-item-wrapper').hide();

	$navContainer.css({'visibility':'visible'});
}


function fitMenu(){
	var $container = jQuery('.grid-main');
	var $navContainer = $container.find('.main-nav');
	var $menuContainer = $navContainer.find('.ait-megamenu');

	var testWidth = 768;
	if(!isMobile()){
		testWidth = 751;
	}

	if(!isResponsive(testWidth)){
		// show button
		var containerWidth = $container.width();
		var siteLogoWidth = $container.find('.site-logo').width();
		var headerSearchWidth = $container.find('.header-search').width();
		var siteToolsWidth = $container.find('.site-tools').width();
		var avalaibleSpace = parseInt(containerWidth - (siteLogoWidth + siteToolsWidth + headerSearchWidth));

		var reservedForDropdown = 100;
		avalaibleSpace = avalaibleSpace - reservedForDropdown;

		if(parseInt($menuContainer.attr('data-liWidth')) > avalaibleSpace){
			// the menu is bigger than the space
			var fittingWidth = avalaibleSpace;
			//var lastFittableLi = null;
			$navContainer.find('.ait-megamenu').children('li:not(.menu-item-wrapper)').each(function(){
				// for every li, get his width and try to fit it
				var liWidth = parseInt(jQuery(this).attr('data-width')) == 0 ? jQuery(this).width() : parseInt(jQuery(this).attr('data-width'));
				fittingWidth = parseInt(fittingWidth - liWidth);
				var liID = jQuery(this).attr('id');
				if(fittingWidth > 0){
					// no problem .. li fits
					// hide this in the wrapmenu
					jQuery(this).show();
					jQuery('#'+liID+'-wrapclone').hide();
				} else {
					// problem .. li doesnt fit
					// show this in the wrapmenu
					if($menuContainer.find('.menu-item-wrapper').length == 0)
						$menuContainer.append('<li class="menu-item-wrapper"><i class="fa fa-ellipsis-v"></i><ul class="menu-items-wrap"></ul></li>');
					jQuery(this).hide();
					jQuery('#'+liID+'-wrapclone').show();
				}
			});

			$menuContainer.find('.menu-item-wrapper').show();
		} else {
			var fittingWidth = avalaibleSpace;
			$navContainer.find('.ait-megamenu').children('li:not(.menu-item-wrapper)').each(function(){
				var liWidth = parseInt(jQuery(this).attr('data-width')) == 0 ? jQuery(this).width() : parseInt(jQuery(this).attr('data-width'));
				fittingWidth = parseInt(fittingWidth - liWidth);
				var liID = jQuery(this).attr('id');
				if(fittingWidth > 0){
					// no problem .. li fits
					// hide this in the wrapmenu
					jQuery(this).show();
					jQuery('#'+liID+'-wrapclone').hide();
				}
			});
			// hide wrapping menu
			$menuContainer.find('.menu-item-wrapper').hide();
		}
	} else {
		// hide button on responsive
		$navContainer.find('.ait-megamenu').children('li:not(.menu-item-wrapper)').show();
		$menuContainer.find('.menu-item-wrapper').hide();
	}
}

function clearMegamenu(){
	if(jQuery('ul.menu-items-wrap').find('li.menu-item-has-columns').length > 0){
		jQuery('ul.menu-items-wrap').find('li.menu-item-has-columns ul li').each(function(){
			if(jQuery(this).children('a').length > 0){
				jQuery(this).addClass('leave-me-alone');
			}
		});

		jQuery('ul.menu-items-wrap').find('li.menu-item-has-columns').each(function(){
			var $lis = jQuery(this).find('li.leave-me-alone').clone(true);
			var $con = jQuery(this).find('ul');
			$con.children().remove();
			$con.append($lis);
		});
		jQuery('ul.menu-items-wrap').find('li.leave-me-alone').removeClass('leave-me-alone');
	}
}

function menuAddClasses(){
	jQuery('.menu-items-wrap').find('li').each(function(){
		if(jQuery(this).children('ul').length > 0){
			jQuery(this).addClass('menu-item-has-children');
		}
	});
}

function menuOverlay() {
	var menuContainer = jQuery(".site-header .menu-container");
	jQuery(".ait-megamenu > li.has-submenu, .ait-megamenu > li.menu-item-wrapper").hover(function() {
		menuContainer.toggleClass("hover");
	});
}
