/*
 * AIT WordPress Theme
 *
 * Copyright (c) 2012, Affinity Information Technology, s.r.o. (http://ait-themes.com)
 */
/* Main Initialization Hook */
jQuery(document).ready(function(){
	gm_authFailure = function(){
		var apiBanner = document.createElement('div');
		var a = document.createElement('a');
		var linkText = document.createTextNode("Read more");
		a.appendChild(linkText);
		a.title = "Read more";
		a.href = "https://www.ait-themes.club/knowledge-base/google-maps-api-error/";
		a.target = "_blank";

		apiBanner.className = "alert alert-info";
		var bannerText = document.createTextNode("Please check Google API key settings");
		apiBanner.appendChild(bannerText);
		apiBanner.appendChild(document.createElement('br'));
		apiBanner.appendChild(a);

		jQuery(".google-map-container").html(apiBanner);
	};


	/* Document Height Timer */
	var heightInterval = setInterval(function(){
		var heightOld = parseInt(jQuery('.main-sections').attr('data-height'));
		var heightNew = jQuery('.main-sections').outerHeight();
		if(heightOld != heightNew){
			jQuery(document).trigger('height-changed');
			jQuery('.main-sections').attr('data-height', heightNew);
		}
	}, 500);

	/* menu.js initialization */
	desktopMenu();
	responsiveMenu();

	//prepareFitMenu();
	//fitMenu();

	menuOverlay();
	/* menu.js initialization */

	/* custom.js initialization */
	renameUiClasses();
	removeUnwantedClasses();

	initWPGallery();
	initColorbox();
	initRatings();
	initInfieldLabels();
	initSelectBox();

	notificationClose();

	tabsTrigger();
	/* custom.js initialization */

	/* Theme Dependent Functions */
	taxonomyFadeHover();
	announcementHide();
	//customScroll();

	//reorderResponsiveContent();
	/* Theme Dependent Functions */
});

jQuery(window).load(function(){
	reorderResponsiveContent();	// waiting for mCustomScrollBar init

	prepareFitMenu();
	fitMenu();
});

jQuery(window).resize(function(){
	fitMenu();
	reorderResponsiveContent();
});
/* Main Initialization Hook */

/* Theme Dependenent Functions */

/*function customScroll(){

    var top = jQuery(window).scrollTop(),
        step = 100,
		animSpeed = 500,
        viewport = jQuery(window).height(),
        body = (navigator.userAgent.indexOf('AppleWebKit') !== -1) ? jQuery('body') : jQuery('html'),
        wheel = false;

    jQuery('body').mousewheel(function(event, delta) {

        wheel = true;
        if (delta < 0) {
            top = (top+viewport) >= jQuery(document).height() ? top : top+=step;
            body.stop().animate({scrollTop: top}, animSpeed, function () {
                wheel = false;
            });
        } else {
            top = top <= 0 ? 0 : top-=step;
            body.stop().animate({scrollTop: top}, animSpeed, function () {
                wheel = false;
            });
        }
        return false;
    });

	jQuery(document).on('height-changed', function() {
		top = jQuery(window).scrollTop();
	});

    jQuery(window).on('resize', function (e) {
        viewport = jQuery(this).height();
    });

    jQuery(window).on('scroll', function (e) {
        if (!wheel)
            top = jQuery(this).scrollTop();
    });

}*/

function taxonomyFadeHover() {
	jQuery(".categories-container ul li a").hover(function() {
		jQuery(this).parent().siblings().find('a:not(.active)').addClass('fade');
		jQuery(this).removeClass('fade');
	}, function() {
		if (!jQuery(".categories-container ul li a").hasClass('active'))
			jQuery(this).parent().siblings().find('a:not(.active)').removeClass('fade');
		if (!jQuery(this).hasClass('active') && jQuery(".categories-container ul li a").hasClass('active'))
			jQuery(this).addClass('fade');
	});
}

function announcementHide() {
	var w = jQuery(window),
		b = jQuery('body'),
		p = jQuery(".page-container"),
		pOffset = p.offset().top,
		aClass = "ait-announcements-bar-plugin";

	w.on('scroll', function() {
		pScroll = pOffset - w.scrollTop();

		if (pScroll <= 0) {
			b.removeClass(aClass);
		} else {
			b.addClass(aClass);
		}
	});
}


function reorderResponsiveContent(){
	var selectors = [
		{
			value: ".sidebar-modules",
			desktopContainer: ".elm-static-sidebar > .content",
		},
		{
			value: ".sidebar-left-area",
			desktopContainer: ".elm-static-sidebar > .content",
		},
		/*{
			value: ".sidebar-right-area",
			desktopContainer: ".elm-sidebar-map .elm-sidebar-map-content > div:first-child",
		},*/
	];

	if(jQuery('body').hasClass('element-sidebar-map')){
		selectors.push(
			{
				value: ".sidebar-right-area",
				desktopContainer: ".elm-sidebar-map .elm-sidebar-map-content > div:first-child",
			}
		);
	} else {
		selectors.push(
			{
				value: ".sidebar-right-area",
				desktopContainer: ".elements-sidebar-wrap",
			}
		);
	}

	if(isResponsive(768)){
		var $pageContainer = jQuery(".page-container .page-content");
		var iteration = selectors;

		if($pageContainer.children(".static-sidebar.relocated").length == 0){
			$pageContainer.append('<div class="static-sidebar relocated static-sidebar-relocated"></div>');
		}

		jQuery.each(iteration, function(index, selector){
			if($pageContainer.find(".static-sidebar.relocated").children(selector.value).length > 0){
				// already relocated
			} else {
				var $relocate = jQuery('body').find(selector.value).detach();
				$relocate.appendTo($pageContainer.find(".static-sidebar.relocated"));
			}

			jQuery('body').find(selector.value).addClass('relocated');
		});

		// remove height from static sidebar
		//jQuery(".static-sidebar-wrap").css({'height': jQuery(".static-sidebar-wrap").children().height()});
	} else if(isResponsive(1280)){
		var $leftContianer = jQuery(".elm-static-sidebar > .content");
		var iteration = selectors;

		jQuery.each(iteration, function(index, selector){
			if(index == 2){
				// only for last element
				if (jQuery('body').hasClass('element-static-sidebar')) {
					if($leftContianer.children(selector.value).length > 0){
						// already relocated
					} else {

						var $relocate = jQuery('body').find(selector.value).detach();
						$relocate.appendTo($leftContianer);
					}
				}
			} else {
				var $element = jQuery('body').find(selector.value);
				var $parent = jQuery('body').find(selector.desktopContainer);
				if($parent.children(selector.value).length > 0){
					// in right position .. dont do anythng
				} else {
					// relocate to correct position
					var $relocate = jQuery('body').find(selector.value).detach();
					$relocate.appendTo($parent);
				}
			}
			jQuery('body').find(selector.value).addClass('relocated');
		});

		jQuery(".page-container .page-content").find(".static-sidebar-relocated").remove();
	} else {
		// desktop
		var iteration = selectors;

		jQuery.each(selectors, function(index, selector){
			var $element = jQuery('body').find(selector.value);
			var $parent = jQuery('body').find(selector.desktopContainer);


			if($parent.children(selector.value).length > 0){
				// in right position .. dont do anythng
			} else {
				// relocate to correct position
				var $relocate = jQuery('body').find(selector.value).detach();
				$relocate.appendTo($parent);
				jQuery('body').find(selector.value).addClass('relocated');
			}

		});

		// remove created container
		jQuery(".page-container .page-content").find(".static-sidebar-relocated").remove();
	}
	jQuery(".static-sidebar-wrap").css({'height': jQuery(".static-sidebar-wrap").children().height()});
	jQuery('body').trigger('reorder-responsive-content-finished');
}

/* Theme Dependenent Function */
