{var $datesCount = count($dates)}

{if $datesCount > 1}

	{if isset($layout) and $layout == 'infobox'}

		<ul class="recurring-dates">
		{foreach $dates as $date}
			{var $counter = $iterator->counter}

			{var $dateFrom_timestamp = strtotime($date['dateFrom'])}
			{var $dateFromDay        = date_i18n('d', $dateFrom_timestamp)}
			{var $dateFromMonth      = date_i18n('M', $dateFrom_timestamp)}

			<li><span class="day">{$dateFromDay}</span><span class="month">{$dateFromMonth}</span></li>

			{if isset($count) and $counter === $count} {? break} {/if}
		{/foreach}
		</ul>

	{else}

		<div id="schedule" class="recurring-dates-container">
			{var $allDates = array()}

			<div class="calendar-toggle">
				<h2 class="title"><span class="calendar-count">{$datesCount}</span> {__ ('Scheduled Dates')}</h2>
			</div>

			<div class="content">
				<div class="recurring-dates">
					<div class="dates-wrap">
						<div class="dates-carousel">
						{foreach $dates as $date}
							{var $dateFrom_timestamp = strtotime($date['dateFrom'])}
							{var $dateFromDay        = date_i18n('d', $dateFrom_timestamp)}
							{var $dateFromMonth      = date_i18n('M', $dateFrom_timestamp)}
							{var $timeFrom           = date_i18n(get_option('time_format'), $dateFrom_timestamp)}

							{var $oneDate = array(
								'start'  => $date['dateFrom'],
								'end'    => !empty($date['dateTo']) ? $date['dateTo'] : '',
								'allDay' => false
							)}
							{? array_push($allDates, $oneDate)}

							<div class="single-date">
								<a href="#" data-date="{$date['dateFrom']}">
									<div class="date">
										<span class="day">{$dateFromDay}</span><span class="month">{$dateFromMonth}</span>
									</div>

									<div class="time">
										<span>{$timeFrom}</span>
									</div>
								</a>
							</div>
						{/foreach}
						</div>
					</div>

					<div class="carousel-arrows">
						<div class="arrow arrow-left disabled"><i class="fa fa-caret-left"></i></div>
						<div class="arrow arrow-right"><i class="fa fa-caret-right"></i></div>
					</div>
				</div>

				<div id="event-calendar" class="event-calendar"></div>
			</div>

			<script>

				jQuery(document).ready(function() {

					/* Schedule Content Toggle */
					jQuery("#schedule .calendar-toggle").click(function() {
						toggleCalendar();
						eventsCarousel();

						setTimeout(function() {
							jQuery(document).trigger('height-changed');
						}, 500);
					});

					jQuery("#schedule .single-date > a").click(function(e) {
						e.preventDefault();
						var date = jQuery(this).data('date');
						jQuery('#event-calendar').fullCalendar( 'gotoDate', date )
						jQuery('#event-calendar .fc-event').removeClass('active');
						jQuery('#schedule .single-date > a').removeClass('active');
						jQuery('#event-calendar').find('[data-date="'+date+'"]').addClass('active');
						jQuery(this).addClass('active');
					});

					if (window.location.hash.indexOf("schedule") == 1) {
						toggleCalendar();
					}

					/* Carousel Controls */
					jQuery("#schedule .arrow-left").click(function() {
						eventsCarouselMove('left');
					});
					jQuery("#schedule .arrow-right").click(function() {
						eventsCarouselMove('right');
					});

					/* Calendar Init */
					jQuery('#event-calendar').fullCalendar({
						height: "auto",
						header: {
							left: 'title',
							right: 'month,agendaWeek,agendaDay today prev,next'
						},
						defaultDate: {$allDates[0]['start']},
						lang: {AitLangs::getCurrentLanguageCode()},
						eventLimit: false,
						events: {$allDates},
						// timeFormat: {AitUtils::phpTime2jsTime(get_option('time_format'))},
						displayEventEnd: true,
						/*viewRender: function(view, element) {
							if (!isMobile()) {
								calendarScrollbar();
							}
						},*/
						eventRender: function(event, element) {
							element.attr("data-date", event.start._i);
						},
					});

					/* Calendar Responsive */
					if (isResponsive(640)) {
						jQuery('#event-calendar').fullCalendar( 'changeView', 'agendaDay' );
					} else {
						jQuery('#event-calendar').fullCalendar( 'changeView', 'month' );
					}
				});

				jQuery(window).resize(function() {

					/* Carousel */
					eventsCarousel();

					/* Calendar View */
					if (isResponsive(640)) {
						jQuery('#event-calendar').fullCalendar( 'changeView', 'agendaDay' );
					} else {
						jQuery('#event-calendar').fullCalendar( 'changeView', 'month' );
					}
				});

				/* Schedule Content Toggle */
				function toggleCalendar() {
					jQuery(".recurring-dates-container").toggleClass("opened");
					jQuery(".recurring-dates-container .content").slideToggle();
					if (window.location.hash.indexOf("schedule") == 1) {
						jQuery('html, body').animate({
							scrollTop: jQuery(window.location.hash).offset().top
						}, 2000);
					}
					jQuery('#event-calendar').fullCalendar('render');
					// if (!isMobile()) {
					// 	calendarScrollbar();
					// }
				}

				/* Custom Scrollbar */
				/*function calendarScrollbar() {
					jQuery("#event-calendar .fc-scroller").parent().addClass('optiscroll');
					jQuery("#event-calendar .fc-scroller").addClass('optiscroll-content');
					jQuery("#event-calendar .fc-scroller").optiscroll({
						forceScrollbars: true,
						preventParentScroll: true
					});
				}*/

				/* Carousel */
				function eventsCarousel() {
					var carousel = jQuery("#schedule .dates-carousel"),
						carouselWidth = jQuery("#schedule .dates-wrap").width(),
						carouselArrows = jQuery("#schedule .carousel-arrows"),
						oneBoxWidth = jQuery("#schedule .dates-carousel .single-date").width(),
						boxGap = parseInt(carousel.find(".single-date").css('margin-right')),
						allBoxes = 0,
						count = 0;

					carousel.find(".single-date").each(function(){
						allBoxes = allBoxes + jQuery(this).outerWidth(true);
						count = count + 1;
					});

					var max = Math.round(carouselWidth / oneBoxWidth);

					carousel.attr("data-max", max);
					carousel.attr("data-all", count);

					if ((allBoxes - boxGap) > (carouselWidth + (oneBoxWidth / 2))) {
						carousel.width(carouselWidth);
						carousel.css('margin-left', 0)
						carouselArrows.show();
						eventsCarouselMove('reset');
					} else {
						carouselArrows.hide();
					}
				}

				function eventsCarouselMove(direction) {
					var boxWidth = parseInt(jQuery("#schedule .dates-carousel .single-date").outerWidth(true)),
						carousel = jQuery("#schedule .dates-carousel"),
						maxClicks = carousel.data('all') - carousel.data('max'),
						step = parseInt(carousel.css('margin-left'))*(-1),
						arrowLeft = jQuery("#schedule .arrow-left"),
						arrowRight = jQuery("#schedule .arrow-right");

					switch(direction) {
						case "left":
							if (step >= boxWidth && !carousel.hasClass("moving")) {
								carousel.addClass("moving");
								carousel.css({'margin-left':-(step - boxWidth)});
								arrowRight.removeClass("disabled");
								setTimeout(function(){
									carousel.removeClass("moving");
								}, 600);
							}

							if (step == boxWidth || step == 0) {
								arrowLeft.addClass("disabled");
							} else {
								arrowLeft.removeClass("disabled");
								arrowRight.removeClass("disabled");
							}

						break;

						case "right":
							if (step < (boxWidth * maxClicks) && !carousel.hasClass("moving")) {
								carousel.addClass("moving");
								carousel.css({'margin-left':-(step + boxWidth)});
								arrowLeft.removeClass("disabled");
								setTimeout(function(){
									carousel.removeClass("moving");
								}, 600);
							}

							if (step == (boxWidth * maxClicks) - boxWidth || step == (boxWidth * maxClicks)) {
								arrowRight.addClass("disabled");
							} else {
								arrowLeft.removeClass("disabled");
								arrowRight.removeClass("disabled");
							}
						break;

						case "reset":
							if (!arrowLeft.hasClass("disabled")) arrowLeft.addClass("disabled");
							arrowRight.removeClass("disabled");
						break;
					}
				}


			</script>
		</div>

	{/if}

{/if}
