{var $selectedOrder   = $options->layout->general->eventSliderOrder}
{var $selectedOrderBy = $options->layout->general->eventSliderOrderBy}
{var $selectedCount   = $options->layout->general->eventSliderCount}

{var $lang = AitLangs::getCurrentLanguageCode()}
{var $orderBy = array()}
{var $taxQuery = array()}

{var $postIn = AitEventsPro::getEventsFromDate(date_i18n('Y-m-d H:i:s'))}

{if $options->layout->general->eventSliderCategory != 0}
	{? array_push($taxQuery, array(
		'taxonomy' 	=> 'ait-events-pro',
		'field'		=> 'term_id',
		'terms'		=> $options->layout->general->eventSliderCategory
	))}
{/if}

{if $selectedOrderBy == 'eventDate'}
	{var $orderBy = 'post__in'}
{else}
	{var $orderBy[$selectedOrderBy] = $selectedOrder}
{/if}

{var $args = array(
	'lang'           => $lang,
	'post_type'      => 'ait-event-pro',
	'post__in'		 => $postIn,
	'posts_per_page' => $selectedCount,
	'tax_query'      => $taxQuery,
	'orderby'        => $orderBy,
)}

{var $query = aitGetItems($args)}

<div id="event-slider" class="header-wrap">

	{customLoop from $query as $item}
		{var $meta = $item->meta('event-pro-data')}

		<div class="header-info-slide">
			{includePart portal/parts/single-event-date, place => 'header', eventId => $item->id}

			<h2><a href="{$item->permalink}">{!$item->title}</a></h2>

			<div class="description">
				{if $item->excerpt != ""}
					<p class="txtrows-3">{!$item->excerpt|striptags|trimWords: 200}</p>
				{else}
					<p class="txtrows-3">{!$item->content|striptags|trimWords: 200}</p>
				{/if}
			</div>

			<div class="category-icon">
				{includePart "portal/parts/event-taxonomy", itemID => $item->id, taxonomy => 'ait-events-pro', onlyParent => true, count => 3}
			</div>

			<div class="item-locations">
				{foreach $item->categories('ait-locations') as $loc}
					<a href="{$loc->url()}" class="item-location">{!$loc->title}</a>
				{/foreach}
			</div>
		</div>
	{/customLoop}


	<ul class="easy-slider">

	{customLoop from $query as $item}
		{var $meta = $item->meta('event-pro-data')}
		{var $backgroundUrl = $item->imageUrl != "" ? $item->imageUrl : $eventsProOptions['noFeatured']}

		<li class="slider-item">
			<a href="{$item->permalink}"><div class="item-image" style="background-image: url({$backgroundUrl|noescape});"><!-- .image --></div></a>
		</li>
	{/customLoop}
	</ul>

</div>

<!-- $('.k2ItemsBlock li>div').unwrap() /* removes the li */
                      .wrap('<div/>'); /* adds the div */
 -->

<script id="event-slider-script" type="text/javascript">
jQuery(window).load(function(){

	{if $options->theme->general->progressivePageLoading}
		if(!isResponsive(1024)){
			jQuery("#event-slider").waypoint(function(){
				jQuery("#event-slider").addClass('load-finished');
				initEasySlider("#event-slider");
			}, { triggerOnce: true, offset: "95%" });
		} else {
			jQuery("#event-slider").addClass('load-finished');
			initEasySlider("#event-slider");
		}
	{else}
		jQuery("#event-slider").addClass('load-finished');
		initEasySlider("#event-slider");
	{/if}

	// initEasySlider("#event-slider");

	function initEasySlider(selector){
		jQuery(selector).find('ul.easy-slider').css({'opacity':0});
		jQuery(selector).find('ul.easy-slider').bxSlider({
			mode: 'horizontal',
			adaptiveHeight: true,
			useCSS: false,
			auto: true,
			autoStart: true,
			pause: 4000,
			autoHover: true,
			autoDelay: 500,
			prevSelector: '.header-slider-arrows .arrow-left',
			nextSelector: '.header-slider-arrows .arrow-right',
			prevText: '<i class="fa fa-chevron-left"></i>',
			nextText: '<i class="fa fa-chevron-right"></i>',
			onSliderLoad: function(currentIndex){
				// count the heights of the
				computeDescriptionHeight(selector);
				//jQuery(selector).find('ul.easy-slider li:not(.bx-clone):first div.bx-caption').addClass('animation-start');
				jQuery(selector).find('ul.easy-slider li:not(.bx-clone):first div.bx-caption').delay(500).queue(function(next){
					jQuery(this).addClass('animation-start');
					next();
				});
				jQuery(selector).find('ul.easy-slider li:not(.bx-clone):first').show();
				jQuery(selector).find('ul.easy-slider').delay(500).animate({'opacity':1}, 500, function(){
					jQuery(selector).find('.loading').fadeOut('fast');
					jQuery.waypoints('refresh');
				});
				initHeaderInfoSlides();
			},
			onSlideBefore: function($slideElement, oldIndex, newIndex){
				jQuery(selector).find("ul.easy-slider").children().each(function(){
					jQuery(this).find('div.bx-caption').removeClass('animation-start');
				});
				fadeHeaderInfo(oldIndex, newIndex);

			},
			onSlideAfter: function($slideElement, oldIndex, newIndex){
				if(!jQuery(selector).find("ul.easy-slider").hasClass('has-big-descriptions')){
					$slideElement.find('div.bx-caption').addClass('animation-start');
				}
			}
		});

		jQuery(window).resize(function(){
			if(!isMobile) {
				resizeSliderCaptions(selector);
			}
		});
	}

	function resizeSliderCaptions(selector){
		var container = jQuery(selector).find("ul.easy-slider");
		var sliderHeight = container.children('li.big-description:first').find('img').height();
		var biggestCaption = 0;
		var biggestCaptionGap = 0;
		// reset caption heights
		container.children('li.big-description').each(function(){
			var caption = jQuery(this).find('.bx-cap-table');
			caption.css({'height':''});
		});
		// find new biggest caption
		container.children('li.big-description').each(function(){
			var caption = jQuery(this).find('.bx-caption-desc');
			jQuery(this).css({"visibility":'hidden', 'display' : 'block'});
			var captionHeight = caption.height();
			var captionGap = caption.outerHeight(true)-caption.height();
			jQuery(this).css({"visibility":'', 'display' : ''});
			if(captionHeight > biggestCaption){
				biggestCaption = captionHeight;
				biggestCaptionGap = captionGap;
			}
		});

		container.children('li.big-description').each(function(){
			jQuery(this).find('.bx-caption-desc').height(biggestCaption);
		});

		if(biggestCaption != 0){
			container.parent().height(sliderHeight+biggestCaption+biggestCaptionGap);
		}
	}

	function computeDescriptionHeight(selector){
		var container = jQuery(selector).find("ul.easy-slider");
		var sliderHeight = container.children('li:not(.bx-clone):first').find('img').height();
		var biggestCaption = 0;
		var biggestCaptionGap = 0;
		var isABigDescThere = false;
		container.children('li:not(.bx-clone)').each(function(){
			var caption = jQuery(this).find('.bx-cap-table');
			jQuery(this).css({"visibility":'hidden', 'display' : 'block'});
			var captionHeight = caption.outerHeight(true);
			jQuery(this).css({"visibility":'', 'display' : ''});
			if(captionHeight > sliderHeight){
				jQuery(this).addClass('big-description');
				isABigDescThere = true;
			}
		});

		if(isABigDescThere){
			jQuery(selector).addClass('has-big-descriptions');
			container.children().each(function(){
				jQuery(this).addClass('big-description');
			});
		}

		// parse the new height
		container.children('li.big-description:not(.bx-clone)').each(function(){
			var caption = jQuery(this).find('.bx-caption-desc');
			jQuery(this).css({"visibility":'hidden', 'display' : 'block'});
			var captionHeight = caption.height();
			var captionGap = caption.outerHeight(true)-caption.height();
			jQuery(this).css({"visibility":'', 'display' : ''});
			if(captionHeight > biggestCaption){
				biggestCaption = captionHeight;
				biggestCaptionGap = captionGap;
			}
		});

		container.children('li.big-description').each(function(){
			jQuery(this).find('.bx-caption-desc').height(biggestCaption);
		});

		if(biggestCaption != 0){
			container.parent().height(sliderHeight+biggestCaption+biggestCaptionGap);
		}
	}

	function initHeaderInfoSlides(){
		jQuery("#event-slider .header-info-slide").appendTo(".header-container .header-info-slider");
		jQuery('.header-container .header-info-slide:nth-child(1)').addClass('active');
		sliderArrowsPosition();
	}

	function fadeHeaderInfo(oldIndex, newIndex){
		oldIndex++;
		newIndex++;
		jQuery('.header-container .header-info-slide:nth-child('+oldIndex+')').removeClass('active');
		jQuery('.header-container .header-info-slide:nth-child('+newIndex+')').addClass('active');
		sliderArrowsPosition();
	}

	function sliderArrowsPosition() {
		var arrows = jQuery('.header-slider-arrows'),
			header = jQuery('.header-info').outerHeight(true),
			slider = jQuery('.header-info-slider').outerHeight(true),
			bottom = header - slider - 50;

		arrows.css("bottom", bottom);
		arrows.removeClass('loading');
	}
});
</script>
