{if $options->layout->general->headerSearch == enable}

{* VARIABLES *}
{var $postType = "items"}
{if defined('AIT_EVENTS_PRO_ENABLED') and $options->layout->general->headerSearchType == 'events'}
	{var $postType = 'events'}
	{var $assetsUrl = aitPaths()->url->admin . '/assets'}
	{var $langCode = AitLangs::getCurrentLanguageCode()}
{/if}

{var $selectedCat = isset($_REQUEST['category']) && $_REQUEST['category'] != "" ? $_REQUEST['category'] : ''}
{var $selectedLoc = isset($_REQUEST['location']) && $_REQUEST['location'] != "" ? $_REQUEST['location'] : ''}

{capture $searchKeyword}
	<input type="text" name="s" id="searchinput-text" placeholder="{__ 'Search keyword'}" class="searchinput" value="">
{/capture}

{if $postType == 'items'}
	{capture $searchCategory}
		{var $categories = get_categories(array('taxonomy' => 'ait-items', 'hide_empty' => 0, 'parent' => 0))}
		{if isset($categories) && count($categories) > 0}
			<div class="category-search-wrap">
				<span class="category-clear"><i class="fa fa-times"></i></span>
				<select data-placeholder="{__ 'Category'}" name="category" class="category-search default-disabled" style="display: none;">
				<option label="default"></option>
				{!= recursiveCategory($categories, $selectedCat, 'ait-items', "")}
				</select>
			</div>
		{/if}
	{/capture}
{/if}

{capture $searchLocation}
	{var $locations = get_categories(array('taxonomy' => 'ait-locations', 'hide_empty' => 0, 'parent' => 0))}
	{if isset($locations) && count($locations) > 0}
		<div class="location-search-wrap">
			<span class="location-clear"><i class="fa fa-times"></i></span>
			<select data-placeholder="{__ 'Location'}" name="location" class="location-search default-disabled" style="display: none;">
			<option label="default"></option>
			{!= recursiveCategory($locations, $selectedLoc, 'ait-locations', "")}
			</select>
		</div>
	{/if}
{/capture}

{capture $searchDate}
	<div class="date-search-wrap">
		<span class="date-clear"><i class="fa fa-times"></i></span>
		<input type="text" class="date-search" placeholder="{__ 'Date'}">
		<input type="hidden" name="date" class="alt-date-search">
	</div>
	<input type="hidden" name="type" value="events-pro"> <!-- Advanced search for events -->
{/capture}

<div id="header-search" class="header-search">
	<form action="{$searchUrl}" method="get" class="search-form">

		<div class="search-content">

				{!$searchLocation}

				{if $postType == 'events'}
					{!$searchDate}
				{else}
					{!$searchCategory}
				{/if}

			<input type="hidden" name="a" value="true"> <!-- Advanced search -->
			<!-- <input type="hidden" name="lang" value="{AitLangs::getCurrentLanguageCode()}"> --> <!-- Advanced search -->

		</div>
		<div class="search-keyword">
			<div class="search-toggle"><i class="fa fa-search"></i><i class="fa fa-times"></i></div>

			<div class="search-dropdown">
				<div class="container">
					{!$searchKeyword}
					<button type="submit" class="searchsubmit">{__ 'Search'}</button>
				</div>
			</div>
		</div>

	</form>

	<script id="header-serarch-script">

		jQuery(document).ready(function(){

			quickSearchInit();

			jQuery("#header-search .search-toggle").click(function(e) {
				e.preventDefault();
				jQuery("#header-search .search-keyword").toggleClass("opened");
			});

		});

		function quickSearchInit() {

			var langCode = {$currentLang->slug};

			if(langCode === 'br'){
				langCode = 'pt-BR';
			}else if(langCode === 'cn'){
				langCode = 'zh-CN';
			}else if(langCode === 'tw'){
				langCode = 'zh-TW';
			}

			// set the center of the messages
			var datepickerOptions = {
				firstDay: {!= get_option('start_of_week')},
				// dateFormat: "d MM, yy",
				altField: "#header-search .alt-date-search",
				altFormat: "yy-mm-dd",
				beforeShow: function(){
					jQuery('#ui-datepicker-div').addClass('header-search-datepicker');
				},
				// onSelect: function(){
			 //        jQuery('#header-search .date-search').datepicker('hide');

				// },
				onClose: function(){
					setTimeout(function(){
						jQuery('#ui-datepicker-div').removeClass('header-search-datepicker');
					}, 500);

				},

			};
			if(langCode != 'en' && jQuery.datepicker.regional[langCode]){
				jQuery.extend(datepickerOptions, jQuery.datepicker.regional[langCode]);
			}

			jQuery('#header-search .date-search').datepicker(datepickerOptions);

			/* jQuery('#{!$htmlId} .date-search-wrap').click(function(){
			// 	if (jQuery('#ui-datepicker-div').is(':visible'))
			//         jQuery('#header-search .date-search').datepicker('hide');
			//     else {
			// 		console.log(jQuery('#{!$htmlId} .date-search-wrap'));
			//         jQuery('#header-search .date-search').datepicker('show');

			//     }
			//     return false;
			// 		// jQuery('#header-search .date-search').datepicker(datepickerOptions);
			// });

			// jQuery('#ui-datepicker-div').hide();*/


			// pressing ESC or clicking outside the datepicker should close it
			jQuery(document).bind("keypress", function(e) {
				if (e.keyCode == 27)
					jQuery('#ui-datepicker-div').datepicker('hide');
				}).bind("mousedown", function(e) {
				if (typeof jQuery('#header-search .date-search')[0] !== 'undefined' && e.target.id == jQuery('#header-search .date-search')[0].id)
					return;

				if (e.target.id != jQuery('#header-search .date-search') && jQuery(e.target).parents('#header-search .date-search').length == 0)
					jQuery('#ui-datepicker-div').datepicker('hide');
			});

			var select2Settings = {
				dropdownAutoWidth : true,
			};

			jQuery('.header-search').find('select').select2(select2Settings).on("select2-close", function() {
				// fired to the original element when the dropdown closes
				jQuery('.select2-drop').removeClass('select2-drop-active');

				// replace all &nbsp;
				var regPattern = "&nbsp;";
				jQuery('.header-search .location-search .select2-chosen').html(jQuery('.header-search .location-search .select2-chosen').html().replace(new RegExp(regPattern, "g"), ''));
				jQuery('.header-search .category-search .select2-chosen').html(jQuery('.header-search .category-search .select2-chosen').html().replace(new RegExp(regPattern, "g"), ''));
				jQuery('.select2-drop').removeClass('header-search-select');
			});

			jQuery('.header-search').find('select').select2(select2Settings).on("select2-open", function() {
				// fired to the original element when the dropdown opens
				jQuery('.select2-drop').addClass('header-search-select');
			});

			jQuery('.header-search').find('select').select2(select2Settings).on("select2-loaded", function() {
				// fired to the original element when the dropdown closes
				jQuery('.header-search').find('.select2-container').removeAttr('style');
			});


			if(isMobile()){
				jQuery('.header-search .location-search-wrap').find('select').select2(select2Settings).on("select2-selecting", function(val, choice) {
					if(val != ""){
						jQuery('.header-search').find('.location-clear').addClass('clear-visible');
					}
				});

				jQuery('.header-search .category-search-wrap').find('select').select2(select2Settings).on("select2-selecting", function(val, choice) {
					if(val != ""){
						jQuery('.header-search').find('.category-clear').addClass('clear-visible');
					}
				});

				jQuery('.header-search .date-search-wrap').find('.date-search').change(function() {
					if(jQuery(this).val() != ""){
						jQuery('.header-search').find('.date-clear').addClass('clear-visible');
					}
				});

			} else {
				jQuery('.header-search').find('.location-search-wrap').hover(function(){
					if(jQuery(this).find('select').select2("val") != ""){
						jQuery(this).find('.location-clear').addClass('clear-visible');
					}
				},function(){
					if(jQuery(this).find('select').select2("val") != ""){
						jQuery(this).find('.location-clear').removeClass('clear-visible');
					}
				});

				jQuery('.header-search').find('.category-search-wrap').hover(function(){
					if(jQuery(this).find('select').select2("val") != ""){
						jQuery(this).find('.category-clear').addClass('clear-visible');
					}
				},function(){
					if(jQuery(this).find('select').select2("val") != ""){
						jQuery(this).find('.category-clear').removeClass('clear-visible');
					}
				});

				jQuery('.header-search').find('.date-search-wrap').hover(function(){
					if(jQuery(this).find('.date-search').val() != ""){
						jQuery(this).find('.date-clear').addClass('clear-visible');
					}
				},function(){
					if(jQuery(this).find('.date-search').val() != ""){
						jQuery(this).find('.date-clear').removeClass('clear-visible');
					}
				});
			}




			jQuery('.header-search').find('.location-clear').click(function(){
				jQuery('.header-search').find('.location-search-wrap select').select2("val", "");
				jQuery(this).removeClass('clear-visible');
			});

			jQuery('.header-search').find('.category-clear').click(function(){
				jQuery('.header-search').find('.category-search-wrap select').select2("val", "");
				jQuery(this).removeClass('clear-visible');
			});

			jQuery('.header-search').find('.date-clear').click(function(){
				jQuery('.header-search').find('.date-search-wrap input').val("");
				jQuery(this).removeClass('clear-visible');
			});
		}



	</script>

</div>

{/if}
