{if !empty($meta->item) && get_post_status( $meta->item ) == 'publish' }

{var $relatedItemUrl = get_permalink($meta->item)}
{var $relatedItemFeaturedImage = wp_get_attachment_url(get_post_thumbnail_id($meta->item), 'thumbnail')}
{var $relatedItemThumbnail = $relatedItemFeaturedImage !="" ? $relatedItemFeaturedImage : $options->theme->item->noFeatured}

<div class="organizer-container">

	{* translators: Organizer as a person who organize events *}
	<h2 class="title">{__ 'Organizer'}</h2>

	<div class="content">

		<div class="thumbnail">
			<a href="{$relatedItemUrl}">
				<div class="thumbnail-wrap" style="background-image: url('{!$relatedItemThumbnail}')"></div>
			</a>
		</div>

		<div class="data-container">

			<h3>{get_the_title($meta->item)|noescape}</h3>

			{if $relatedItemMeta[telephone]}
			<div class="contact data">
				<div class="icon telephone-icon"><i class="fa fa-phone"></i></div>
				<div class="data-content">
					<p><a href="tel:{str_replace(' ', '', $relatedItemMeta[telephone])}" class="phone">{$relatedItemMeta[telephone]}</a></p>
				</div>
			</div>
			{/if}

			{if $relatedItemMeta[email] and $relatedItemMeta[showEmail]}
			<div class="contact data">
				<div class="icon mail-icon"><i class="fa fa-envelope"></i></div>
				<div class="data-content">
					<p><a href="mailto:{$relatedItemMeta[email]}" target="_top">{$relatedItemMeta[email]}</a></p>
				</div>
			</div>
			{/if}

			{if $relatedItemMeta[web]}
			<div class="contact data">
				<div class="icon web-icon"><i class="fa fa-globe"></i></div>
				<div class="data-content">
					<p>
						<a href="{$relatedItemMeta[web]}" target="_blank" {if $options->theme->item->addressWebNofollow}rel="nofollow"{/if}>
						{if $relatedItemMeta[webLinkLabel]}
							{$relatedItemMeta[webLinkLabel]}
						{else}
							{$relatedItemMeta[web]}
						{/if}
						</a>
					</p>
				</div>
			</div>
			{/if}

			<div class="more data">
				<div class="data-content">
					<a href="{$relatedItemUrl}">{__ 'More info'}</a>
				</div>
			</div>

		</div>

	</div>

</div>

{/if}
