<div class="address-container data-container">

	<h2 class="title">{__ 'Address and Contact'}</h2>
	<div class="content">
		{if !$meta->map['address'] && $settings->addressHideEmptyFields}{else}
		<div class="address data">
			<div class="icon big address-icon"><i class="fa fa-map-marker"></i></div>
			<div class="address-text data-content">
				<div class="address-data" itemscope itemtype="http://schema.org/PostalAddress">
					<p itemprop="streetAddress">{if $meta->map['address']}{$meta->map['address']}{else}-{/if}</p>
				</div>
				{if !$settings->addressHideGpsField}
				<div class="address-gps" itemscope itemtype="http://schema.org/Place">
					<p itemprop="geo" itemscope itemtype="http://schema.org/GeoCoordinates">
						<strong>{__ "GPS:"} </strong>
						{if $meta->map['latitude'] && $meta->map['longitude']}
							{$meta->map['latitude']}, {$meta->map['longitude']}
							<meta itemprop="latitude" content="{$meta->map['latitude']}">
							<meta itemprop="longitude" content="{$meta->map['longitude']}">
						{else}-{/if}
					</p>
				</div>
				{/if}

				{* GET DIRECTIONS SECTION *}
				{if defined('AIT_GET_DIRECTIONS_ENABLED')}
					{includePart portal/parts/get-directions-button}
				{/if}
				{* GET DIRECTIONS SECTION *}
			</div>
		</div>
		{/if}
	</div>

	<div class="content">
		{if !$meta->telephone && $settings->addressHideEmptyFields}{else}
		<div class="contact data">
			<div class="icon telephone-icon"><i class="fa fa-phone"></i></div>
			<div class="data-content">
				<p>
					{if $meta->telephone}
						<span itemprop="telephone"><a href="tel:{str_replace(' ', '', $meta->telephone)}" class="phone">{$meta->telephone}</a></span>
					{else}-{/if}

					{if is_array($meta->telephoneAdditional) && count($meta->telephoneAdditional) > 0}
						{foreach $meta->telephoneAdditional as $data}
						<p>
							<span itemprop="telephone"><a href="tel:{$data['number']}" class="phone">{$data['number']}</a></span>
						</p>
						{/foreach}
					{/if}
				</p>
			</div>
		</div>
		{/if}

		{if !$meta->email && $settings->addressHideEmptyFields}{else}
		<div class="contact data">
			<div class="icon mail-icon"><i class="fa fa-envelope"></i></div>
			<div class="data-content"><p>{if $meta->email && $meta->showEmail}<a href="mailto:{$meta->email}" target="_top" itemprop="email">{$meta->email}</a>{else}-{/if}</p></div>
		</div>
		{/if}

		{if !$meta->web && $settings->addressHideEmptyFields}{else}
		<div class="contact data">
			<div class="icon web-icon"><i class="fa fa-globe"></i></div>
			<div class="data-content"><p>{if $meta->web}<a href="{$meta->web}" target="_blank" itemprop="url" {if $settings->addressWebNofollow}rel="nofollow"{/if}>{if $meta->webLinkLabel}{$meta->webLinkLabel}{else}{$meta->web}{/if}</a>{else}-{/if}</p></div>
		</div>
		{/if}

		{* CONTACT OWNER SECTION *}
		{includePart portal/parts/single-item-contact-owner}
		{* CONTACT OWNER SECTION *}
	</div>

</div>
