{var $settings = (object)get_option('ait_events_pro_options', array())}
{var $orderBy = $settings->sortingDefaultOrderBy}
{var $order = $settings->sortingDefaultOrder}

{var $eventsCount = 4}
{if $elements->unsortable[static-sidebar]->display}
	{var $eventsCount--}
{/if}
{if $elements->unsortable[sidebar-map]->display}
	{var $eventsCount--}
{/if}

{if $orderBy == 'eventDate'}
	{var $orderBy = 'post__in'}
{/if}
{var $eventsQuery = AitEventsPro::getEventsByItem($post->id, array('posts_per_page'=> $eventsCount, 'orderby' => $orderBy, 'order' => $order))}

{if $eventsQuery->have_posts}

{includePart portal/parts/search-filters, max => $eventsQuery->found_posts, disableRedirect => true, postType => "ait-event-pro"}
<div class="ajax-container items-container">
	<div class="content">

		{customLoop from $eventsQuery as $post}
			{var $eventOptions = get_option('ait_events_pro_options', array())}
			{var $noFeatured = $eventOptions['noFeatured']}
			{var $categories = get_the_terms($post->id, 'events-pro')}
			{var $meta = $post->meta('event-pro-data')}


			{var $imgWidth = 768}
			{var $imgHeight = 195}

			<div n:class='event-container'>

				<a href="{$post->permalink}">
				{var $imgHeight = ($imgWidth / 4) * 3}
				<div class="item-thumbnail">
					{if $post->hasImage}
					<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $post->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
					{else}
					<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
					{/if}
				</div>

				{var $nextDates = AitEventsPro::getEventClosestDate($post->id)}
				{var $date_timestamp = strtotime($nextDates['dateFrom'])}
				{var $day = date_i18n('d', $date_timestamp)}
				{var $month = date_i18n('F', $date_timestamp)}
				{var $moreDates = count(AitEventsPro::getEventRecurringDates($post->id)) - 1}

				<div class="entry-date">
					<div class="day">{$day}</div>
					<div class="month">{$month}</div>
					{if $moreDates > 0}
					<div class="more">+ {$moreDates}</div>
					{/if}
				</div>

				</a>
				<div class="item-text">
					{*if defined('AIT_REVIEWS_ENABLED')}
						{includePart "portal/parts/carousel-reviews-stars", item => $item, showCount => false}
					{/if*}
					<div class="item-title"><a href="{$post->permalink}"><h3>{!$post->title}</h3></a></div>
					<div class="item-excerpt"><p class="txtrows-3">{!$post->excerpt(200)|striptags}</p></div>

					<div class="item-taxonomy">

						<div class="item-location">
							{foreach $post->categories('ait-locations') as $loc}
							<a href="{$loc->url()}" class="location">{!$loc->title}</a>
							{/foreach}
						</div>

						<div class="item-categories">{includePart "portal/parts/event-taxonomy", itemID => $post->id, taxonomy => 'ait-events-pro', onlyParent => true, count => 3}</div>

					</div>

				</div>
				<div class="item-more"><a href="{$post->permalink}">{__ 'More info'}</a></div>

			</div>

		{/customLoop}

	</div>
	<div class="loading hidden" style="display: none;"><span class="ait-preloader">{!__ 'Loading&hellip;'}</span></div>
</div>
{includePart parts/pagination, location => pagination-below, max => $eventsQuery->max_num_pages, query => $eventsQuery, ignoreSingle => true}

<script>
	var tabs = jQuery('#{!$htmlId}-events');
	var queryArgs = {};

	tabs.each(function(){
		var sectionId = jQuery(this).attr('id');
		queryArgs[sectionId] = {
			paged: 1,
			count: {$eventsCount},
			postType: 'ait-event-pro',
			orderby: {$eventsProOptions['sortingDefaultOrderBy']},
			order: {$eventsProOptions['sortingDefaultOrder']},
		};

		var filter = jQuery(this).find('.filters-container');

		addPageLinksListener(sectionId);

		jQuery(filter).find('.filter-orderby select').change(function(){
			if (this.value ==- queryArgs[sectionId].orderby) {
				return
			}
			queryArgs[sectionId].orderby = this.value;
			getPaginatedPosts(queryArgs[sectionId]);
		});

		jQuery(filter).find('.filter-order a').click(function(e){
			e.preventDefault();
			queryArgs[sectionId].order = jQuery(this).data('value');
			getPaginatedPosts(queryArgs[sectionId]);
		});
	});



	function addPageLinksListener(sectionId) {
		var pageLinks = jQuery('#'+sectionId).find('.page-numbers');

		pageLinks.click(function(e){
			e.preventDefault();

			if (jQuery(this).hasClass('current')) {
				return;
			}

			jQuery(pageLinks, '.current').removeClass('current');
			jQuery(this).addClass('current');
			queryArgs[sectionId].paged = parseInt(jQuery(this).text());
			getPaginatedPosts(queryArgs[sectionId]);
		});
	}



	function getPaginatedPosts(queryArgs) {
		var request_data               = {};
		request_data['type']           = 'pagedPosts';
		request_data['postType']       = queryArgs.postType;
		request_data['lang']           = {AitLangs::getCurrentLanguageCode()};
		request_data['paged']          = queryArgs.paged;
		request_data['orderby']   	   = queryArgs.orderby;
		request_data['order']   	   = queryArgs.order;
		request_data['itemId']   	   = {$itemId};
		request_data['posts_per_page'] = queryArgs.count;

		jQuery('#item-tabs-events .ajax-container .content').addClass('ajax-loading');
		jQuery('#item-tabs-events .ajax-container .loading.hidden').css('display', 'block');
		ait.ajax.post('get-items:retrieve', request_data).done(function(data){
			if(data.success == true){
				jQuery('#item-tabs-events .ajax-container .content').empty();
				jQuery('#item-tabs-events .ajax-container .content').append(data.data.html_data);
				jQuery('#item-tabs-events .nav-single.pagination-below').remove();
				jQuery('#item-tabs-events').append(data.data.html_data_pagination);

				jQuery('#item-tabs-events .ajax-container .content').removeClass('ajax-loading');
				jQuery('#item-tabs-events .ajax-container .loading.hidden').css('display', 'none');
				addPageLinksListener('item-tabs-events');
				jQuery('html, body').animate({
					scrollTop: jQuery("#{!$htmlId}-events").offset().top
				}, 1000);
			} else {
				console.log("not success");
			}
		}).fail(function(){
			console.log("fail");
		});
	}
</script>

{else}
	{includePart parts/none, message => nothing-found}
{/if}


