{block content}

	{loop as $post}
		{* SETTINGS AND DATA *}
		{var $meta = $post->meta('item-data')}
		{var $settings = $options->theme->item}
		{* SETTINGS AND DATA *}

		{*RICH SNIPPET WRAP*}
		<div class="item-content-wrap" itemscope itemtype="http://schema.org/LocalBusiness">
			<meta itemprop="name" content="{$post->title}">
			<meta itemprop="image" content="{$post->imageUrl}">
			{if $meta->map['address']}
			<meta itemprop="address" content="{$meta->map['address']}">
			{/if}
		{*RICH SNIPPET WRAP*}

			{* CONTENT SECTION *}
			<div class="entry-content-wrap">
				<div class="entry-content" itemprop="description">
				{if $post->hasContent}
					{!$post->content}
				{else}
					{!$post->excerpt}
				{/if}
				</div>
			</div>
			{* CONTENT SECTION *}

			{* GET DIRECTIONS SECTION *}
			{if defined('AIT_GET_DIRECTIONS_ENABLED')}
				{includePart portal/parts/get-directions-container}
			{/if}
			{* GET DIRECTIONS SECTION *}

			{* SPECIAL OFFERS SECTION *}
			{if (defined('AIT_SPECIAL_OFFERS_ENABLED'))}
				{includePart parts/single-item-special-offers}
			{/if}
			{* SPECIAL OFFERS SECTION *}

			{* TABS SECTION *}
			{if $meta->displayOpeningHours
				or ($meta->displayFeatures && count($meta->features) > 0)
				or ($meta->displayGallery && !empty($meta->gallery))
				or defined('AIT_REVIEWS_ENABLED')
				or (defined('AIT_EVENTS_PRO_ENABLED') && AitEventsPro::getEventsByItem($post->id, array('posts_per_page' => 2))->found_posts)}

			{var $htmlId = 'item-tabs'}

			{* this is duplicite test because latte part single-item-features might be used from different context *}
			{if !is_array($meta->features)}
				{var $meta->features = array()}
			{/if}
			{if defined('AIT_ADVANCED_FILTERS_ENABLED')}
				{var $item_meta_filters = $post->meta('filters-options')}
				{if is_array($item_meta_filters->filters) && count($item_meta_filters->filters) > 0}
					{var $custom_features = array()}
					{var $hasFilters = true}
					{foreach $item_meta_filters->filters as $filter_id}
						{var $filter_data = get_term($filter_id, 'ait-items_filters', "OBJECT")}
						{if $filter_data}
							{var $filter_meta = get_option( "ait-items_filters_category_".$filter_data->term_id )}
							{var $filter_icon = isset($filter_meta['icon']) ? $filter_meta['icon'] : ""}
							{? array_push($meta->features, array(
								"icon" => $filter_icon,
								"text" => $filter_data->name,
								"desc" => $filter_data->description
							))}
						{/if}
					{/foreach}
				{/if}
			{/if}

			<div class="elm-toggles-main">
				<div id="{!$htmlId}" class="elm-toggles type-htabs ait-tabs ait-tabs-horizontal">

					<div class="tabs-wrapper">
						<div class="selected"></div>
						<ul class="ait-tabs-nav"><!--
						-->{if defined('AIT_EVENTS_PRO_ENABLED') && AitEventsPro::getEventsByItem($post->id, array('posts_per_page' => 2))->found_posts}<li  id="{!$htmlId}-events-tab" class="ui-state-active"><a href="#{!$htmlId}-events">{__ "Events"}</a></li>{/if}<!--
						-->{if $meta->displayOpeningHours}<li><a href="#{!$htmlId}-openinghours">{__ "Opening Hours"}</a></li>{/if}<!--
						-->{if $meta->displayGallery && $meta->gallery != "" && count($meta->gallery) > 0}<li><a href="#{!$htmlId}-gallery">{__ "Gallery"}</a></li>{/if}<!--
						-->{if $meta->displayFeatures  && $meta->features != "" && count($meta->features) > 0}<li><a href="#{!$htmlId}-features">{__ "Features"}</a></li>{/if}<!--
						-->{if defined('AIT_REVIEWS_ENABLED')}<li><a href="#{!$htmlId}-reviews">{__ "Reviews"}</a></li>{/if}<!--
						--></ul>
					</div>

					{* EVENTS SECTION *}
					{if defined('AIT_EVENTS_PRO_ENABLED') && AitEventsPro::getEventsByItem($post->id)->found_posts}
					<div id="{!$htmlId}-events" class="toggle-content ait-widget-content entry-content">
						{includePart portal/parts/single-item-events, itemId => $post->id}
					</div>

					{/if}

					{* OPENING HOURS SECTION *}
					{if $meta->displayOpeningHours}
					<div id="{!$htmlId}-openinghours" class="toggle-content ait-widget-content entry-content">
						{includePart portal/parts/single-item-opening-hours}
					</div>
					{/if}

					{* GALLERY SECTION *}
					{if $meta->displayGallery && !empty($meta->gallery)}
					<div id="{!$htmlId}-gallery" class="toggle-content ait-widget-content entry-content">
						{includePart portal/parts/single-item-gallery}
					</div>
					{/if}

					{* FEATURES SECTION *}
					{if $meta->displayFeatures && $meta->features != "" && count($meta->features) > 0}
					<div id="{!$htmlId}-features" class="toggle-content ait-widget-content entry-content">
						{includePart portal/parts/single-item-features}
					</div>
					{/if}

					{* REVIEWS SECTION *}
					{if defined('AIT_REVIEWS_ENABLED')}
					<div id="{!$htmlId}-reviews" class="toggle-content ait-widget-content entry-content">
						{includePart portal/parts/single-item-reviews}
					</div>
					{/if}
				</div>
			</div>

			{? wp_enqueue_script( 'tabs', aitPaths()->url->ait . '/elements/toggles/design/js/tabs.js') ?}

			<script id="{$htmlId}-script">
				jQuery(function(){
					jQuery('#{!$htmlId}').tabs({
							beforeActivate: function(event, ui){
								ui.newPanel.children().hide();
							},
							activate: function(event, ui){
								ui.newPanel.children().fadeIn('slow');
							},
							// create: function(event, ui){
							// 	//hotfix for gallery in first active tab
							// 	if (ui.panel.find('.elm-easy-slider-main').length > 0) {

							// 		// easySliderInit();
							// 		// ui.panel.find('.elm-easy-slider-main').addClass("load-finished");
							// 		// ui.panel.find('.loading').remove();
							// 	}
							// }

					});


					{if $options->theme->general->progressivePageLoading}
						if(!isResponsive(1024)){
							jQuery("#{!$htmlId}").waypoint(function(){
								jQuery("#{!$htmlId}").parent().addClass('load-finished');
							}, { triggerOnce: true, offset: "95%" });
						} else {
							jQuery("#{!$htmlId}").parent().addClass('load-finished');
						}
					{else}
						jQuery("#{!$htmlId}").parent().addClass('load-finished');
					{/if}

					if (window.location.hash.indexOf("review") == 1) {
						toggleReviews();
					}
				});







				function toggleReviews() {
					var tabsPanel = jQuery("#item-tabs"),
						reviewsTab = tabsPanel.find("[href='#item-tabs-reviews']");
					reviewsTab.trigger("click");

					jQuery('html, body').animate({
						scrollTop: jQuery(tabsPanel).offset().top
					}, 2000);
				}

				jQuery(window).bind('hashchange', function() {
					if (location.hash.indexOf("review") == 1) {
						toggleReviews();
					}
				});

				jQuery(window).load(function(){
					if (jQuery('#item-tabs .ui-state-active').find("[href='#item-tabs-gallery']").length > 0) {
						jQuery("[href='#item-tabs-gallery']").trigger("click");
					}
					tabsWidth('#{!$htmlId}', "ait-tabs-horizontal");
					responsiveTabs('#{!$htmlId}', "ait-tabs-horizontal");
				});
				jQuery(window).resize(function(){
					responsiveTabs('#{!$htmlId}', "ait-tabs-horizontal");
				});
			</script>

			{/if}

		{*RICH SNIPPET WRAP*}
		</div>
		{*RICH SNIPPET WRAP*}

		{* ITEM EXTENSION *}
		{if defined('AIT_EXTENSION_ENABLED')}
			{includePart portal/parts/item-extension}
		{/if}
		{* ITEM EXTENSION *}

		{* CLAIM LISTING SECTION *}
		{if defined('AIT_CLAIM_LISTING_ENABLED')}
			{includePart portal/parts/claim-listing}
		{/if}
		{* CLAIM LISTING SECTION *}

	{/loop}
