{block content}

	{var $settings = $options->theme->items}
	{var $sortingSettings = $options->theme->sorting}
	{var $noFeatured = $options->theme->item->noFeatured}

{* VARIABLES *}
	{var $filterCounts = array(5, 10, 20)}
	{capture $dateLabel}{__ 'Date'}{/capture}
	{capture $titleLabel}{__ 'Title'}{/capture}

	{var $filterOrderBy = array( array("date", $dateLabel), array("title", $titleLabel))}
	{if defined('AIT_REVIEWS_ENABLED')}
		{capture $ratingLabel}{__ 'Rating'}{/capture}
		{? array_push($filterOrderBy, array("rating", $ratingLabel))}
	{/if}

	{var $filterCountsSelected = isset($_REQUEST['count']) && $_REQUEST['count'] != "" ? $_REQUEST['count'] : $sortingSettings->sortingDefaultCount}

	{if defined("AIT_ADVANCED_FILTERS_ENABLED")}
		{if isset($_REQUEST['filters']) && $_REQUEST['filters'] != ""}
			{var $filterCountsSelected = -1}
		{/if}
	{/if}

	{var $filterOrderBySelected = isset($_REQUEST['orderby']) && $_REQUEST['orderby'] != "" ? $_REQUEST['orderby'] : $sortingSettings->sortingDefaultOrderBy}
	{var $filterOrderSelected = isset($_REQUEST['order']) && $_REQUEST['order'] != "" ? $_REQUEST['order'] : $sortingSettings->sortingDefaultOrder}

	{var $pagination = (get_query_var('paged')) ? get_query_var('paged') : 1}
	{var $currentCategory = get_term_by( 'slug', get_query_var('ait-items'), 'ait-items')}

	{var $itemQuery = array(
		'post_type' => 'ait-item',
		'posts_per_page' => $filterCountsSelected,
		'tax_query' => array(
			array(
				'taxonomy' => 'ait-items',
				'field' => 'term_id',
				'terms' => $currentCategory->term_id
			)
		),
		'paged' => $pagination,
	)}

	{* FILTER BY RATING HACKS *}
	{if $filterOrderBySelected == 'rating' && defined('AIT_REVIEWS_ENABLED')}
		{var $itemQuery['orderby'] = 'meta_value_num'}
		{var $itemQuery['meta_query'] = array(
			'relation' => 'OR',
			array(
				'key' => 'rating_mean',
				'compare' => 'NOT EXISTS',
				'value' => 0,
			),
			array(
				'key' => 'rating_mean',
			),
		)}
	{else}
		{var $itemQuery['orderby'] = $filterOrderBySelected}
	{/if}
	{* FILTER BY RATING HACKS *}

	{var $itemQuery['order'] = $filterOrderSelected}

	{customQuery as $query, $itemQuery}

	{var $allItems_filtered_query = $itemQuery}

	{* ADVANCED FILTERING *}
	{if defined("AIT_ADVANCED_FILTERS_ENABLED")}
		{if isset($_REQUEST['filters']) && $_REQUEST['filters'] != ""}
			{var $defined_filters = explode(";",$_REQUEST['filters'])}
			{var $advanced_filter_query = $itemQuery}
			{var $advanced_filter_query['posts_per_page'] = -1}
			{var $valid = array()}

			{customLoop from $query as $post}
				{var $meta = $post->meta('filters-options')}
				{if isset($meta->filters) && is_array($meta->filters)}
					{var $check = array_intersect($defined_filters, $meta->filters)}
					{if is_array($check) && count($check) >= count($defined_filters)}
						{? array_push($valid, $post->id)}
					{/if}
				{else}
					{* no meta .. no fun *}
				{/if}
			{/customLoop}

			{var $advanced_filter_query['post__in'] = array_unique($valid)}
			{customQuery as $query, $advanced_filter_query}

			{var $allItems_filtered_query = $advanced_filter_query}
		{/if}
	{/if}
	{* ADVANCED FILTERING *}

	{var $allItems_filtered_query['posts_per_page'] = -1}
	{customQuery as $allItemsQuery, $allItems_filtered_query}

	{* REORDER ITEMS SO FEATURED WILL BE FIRST *}
	{var $featured = array()}
	{var $notFeatured = array()}
	{var $newOrder = array()}
	{foreach $query->posts as $post}
		{var $dbFeatured = get_post_meta($post->ID, '_ait-item_item-featured', true)}
		{var $isFeatured = $dbFeatured != "" ? filter_var($dbFeatured, FILTER_VALIDATE_BOOLEAN) : false}
		{if $isFeatured}
			{? array_push($featured, $post)}
		{else}
			{? array_push($notFeatured, $post)}
		{/if}
	{/foreach}
	{foreach $featured as $post}
		{? array_push($newOrder, $post)}
	{/foreach}
	{foreach $notFeatured as $post}
		{? array_push($newOrder, $post)}
	{/foreach}
	{var $query->posts = $newOrder}
	{var $query->post_count = count($newOrder)}
	{var $query->found_posts = count($newOrder)}
	{* REORDER ITEMS SO FEATURED WILL BE FIRST *}

	{* VARIABLES *}

	<div class="items-container">
		<div class="content">

			{if $query->havePosts}

			{includePart portal/parts/search-filters, taxonomy => "ait-items", current => $query->post_count, max => $allItemsQuery->post_count, postType => "items"}

			{if defined("AIT_ADVANCED_FILTERS_ENABLED")}
				{includePart portal/parts/advanced-filters, query => $allItemsQuery}
			{/if}

			<div class="ajax-container">
				<div class="content">

					{customLoop from $query as $post}
						{var $categories = get_the_terms($post->id, 'ait-items')}

						{* FEATURED CATEGORIES *}
						{var $categories = aitFilterTerms($categories, $options->theme->items->maxDisplayedCategories)}
						{var $categories = aitOrderTermsByHierarchy($categories)}
						{* FEATURED CATEGORIES *}

						{var $meta = $post->meta('item-data')}

						{var $dbFeatured = get_post_meta($post->id, '_ait-item_item-featured', true)}
						{var $isFeatured = $dbFeatured != "" ? filter_var($dbFeatured, FILTER_VALIDATE_BOOLEAN) : false }

						{var $imgWidth = 768}
						{var $imgHeight = 195}

						<div n:class='item-container, $isFeatured ? "item-featured", defined("AIT_REVIEWS_ENABLED") ? reviews-enabled'>

							<a href="{$post->permalink}">
							{var $imgHeight = ($imgWidth / 4) * 3}
							<div class="item-thumbnail">
								{if $post->hasImage}
								<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $post->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
								{else}
								<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
								{/if}
							</div>
							</a>

							<div class="item-text">
								{if defined('AIT_REVIEWS_ENABLED')}
									{includePart "portal/parts/carousel-reviews-stars", item => $post, showCount => false}
								{/if}
								<div class="item-title"><a href="{$post->permalink}"><h3>{!$post->title}</h3></a></div>

								{if count($categories) > 0}
								<div class="item-categories">
									{includePart "portal/parts/item-taxonomy", itemID => $post->id, taxonomy => 'ait-items'}
								</div>
								{/if}

								<div class="item-excerpt">
									<p class="txtrows-3">
										{if $post->hasContent}
											{!$post->content|striptags|trim|truncate: 180}
										{else}
											{!$post->excerpt|striptags|trim|truncate: 180}
										{/if}
									</p>
								</div>

								<div class="item-location"><p>{$meta->map['address']}</p></div>

							</div>
							<div class="item-more"><a href="{$post->permalink}">{__ 'More info'}</a></div>

						</div>

					{/customLoop}

					{includePart parts/pagination, location => pagination-below, max => $query->max_num_pages}
				</div>
			</div>

			{else}
				{includePart parts/none, message => empty-site}
			{/if}
		</div>
	</div>
