{block content}
	{var $sortingSettings = $options->theme->sorting}
    {var $topFeatured = $sortingSettings->topFeatured}

    {var $taxonomy = array(
		'taxonomy' => $taxonomyTerm->taxonomy,
		'id' => $taxonomyTerm->id,
	)}


	{****** GET ITEMS ******}
	{var $metaQuery = array()}
	{var $orderBy = array()}
	{var $order = $sortingSettings->sortingDefaultOrder}

	{if $topFeatured}
		{var $metaQuery = array(
			'relation'        => 'AND',
			'featured_clause' => array(
				'key'     => '_ait-item_item-featured',
				'compare' => 'EXISTS'
			)
		)}

		{var $orderBy => array(
			'featured_clause' => 'DESC',
	    )}
	{/if}


	{if defined('AIT_REVIEWS_ENABLED') and $el->option(itemOrderby) == 'none'}
		{var $metaQuery['rating_clause'] = array(
			'key'     => 'rating_mean',
			'compare' => 'EXISTS'
		)}
		{var $orderBy['rating_clause'] = $order}
	{/if}

	{var $orderBy[$sortingSettings->sortingDefaultOrderBy] = $order}
	{var $itemsArgs = array(
		'post_type'      => 'ait-item',
		'posts_per_page' => $sortingSettings->sortingDefaultCount,
		'lang'           => AitLangs::getCurrentLanguageCode(),
		'tax_query'      => array(
			array(
				'taxonomy' => 'ait-locations',
				'field'    => 'slug',
				'terms'    => $taxonomyTerm->slug
			)
		),
		'meta_query' => $metaQuery,
		'orderby'	=> $orderBy
	)}

	{var $itemsQuery = aitGetItems($itemsArgs)}



	{****** GET EVENTS ******}
	{if defined('AIT_EVENTS_PRO_ENABLED')}
		{var $orderBy   = array()}
		{var $order     = $eventsProOptions['sortingDefaultOrder']}

		{var $postIn = AitEventsPro::getEventsFromDate(date_i18n('Y-m-d'))}

		{if $eventsProOptions['sortingDefaultOrderBy'] == 'eventDate'}
			{var $orderBy = 'post__in'}
		{else}
			{var $orderBy[$eventsProOptions['sortingDefaultOrderBy']] = $order}
		{/if}

		{if $eventsProOptions['sortingDefaultOrder'] == 'DESC'}
			{var $postIn = array_reverse($postIn)}
		{/if}

		{var $eventsArgs = array(
			'post_type'      => 'ait-event-pro',
			'posts_per_page' => $eventsProOptions['sortingDefaultCount'],
			'lang'           => AitLangs::getCurrentLanguageCode(),
			'post__in'		=> $postIn,
			'tax_query'      => array(
				array(
					'taxonomy' => 'ait-locations',
					'field'    => 'slug',
					'terms'    => $taxonomyTerm->slug
				)
			),
			'orderby' => $orderBy,
		)}



		{var $eventsQuery = aitGetItems($eventsArgs)}
	{/if}



	<div class="elm-toggles-main">
		<div id="tax-locations-toggles" class="elm-toggles type-htabs ait-tabs ait-tabs-horizontal">
		
			{* responsive fallback to plain select *}
			<select class="default-disabled responsive-tabs-select" style="display: none">
				{if defined('AIT_EVENTS_PRO_ENABLED')}<option value="#section-events">{__ "Events"}</option>{/if}
				<option value="#section-items">{__ "Items"}</option>
			</select>
			{* responsive fallback to plain select *}

			<div class="tabs-wrapper">
				<div class="selected"></div>
				<ul class="ait-tabs-nav"><!--
				-->{if defined('AIT_EVENTS_PRO_ENABLED')}<li class="ui-state-active"><a href="#section-events">{__ "Events"}</a></li>{/if}<!--
				--><li><a href="#section-items">{__ "Items"}</a></li><!--
				--></ul>
			</div>
			{* EVENTS SECTION *}
			{if defined('AIT_EVENTS_PRO_ENABLED')}
			<div id="section-events" class="toggle-content ait-widget-content entry-content">
				{if $eventsQuery->have_posts}

				{includePart portal/parts/search-filters, max => $eventsQuery->found_posts, disableRedirect => true, postType => "ait-event-pro"}
				<div class="ajax-container items-container">
					<div class="content">

						{customLoop from $eventsQuery as $post}
							{var $noFeatured = $eventsProOptions['noFeatured']}
							{var $categories = get_the_terms($post->id, 'events-pro')}
							{var $meta = $post->meta('event-pro-data')}


							{var $imgWidth = 768}
							{var $imgHeight = 195}

							<div n:class='event-container'>

								<a href="{$post->permalink}">
								{var $imgHeight = ($imgWidth / 4) * 3}
								<div class="item-thumbnail">
									{if $post->hasImage}
									<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $post->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
									{else}
									<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
									{/if}
								</div>

								{var $nextDates = AitEventsPro::getEventClosestDate($post->id)}
								{var $date_timestamp = strtotime($nextDates['dateFrom'])}
								{var $day = date_i18n('d', $date_timestamp)}
								{var $month = date_i18n('F', $date_timestamp)}
								{var $moreDates = count(AitEventsPro::getEventRecurringDates($post->id)) - 1}

								<div class="entry-date">
									<div class="day">{$day}</div>
									<div class="month">{$month}</div>
									{if $moreDates > 0}
									<div class="more">+ {$moreDates}</div>
									{/if}
								</div>

								</a>
								<div class="item-text">
									{*if defined('AIT_REVIEWS_ENABLED')}
										{includePart "portal/parts/carousel-reviews-stars", item => $item, showCount => false}
									{/if*}
									<div class="item-title"><a href="{$post->permalink}"><h3>{!$post->title}</h3></a></div>
									<div class="item-excerpt"><p class="txtrows-3">{!$post->excerpt(200)|striptags}</p></div>

									<div class="item-taxonomy">

										<div class="item-location">
											{foreach $post->categories('ait-locations') as $loc}
											<a href="{$loc->url()}" class="location">{!$loc->title}</a>
											{/foreach}
										</div>

										<div class="item-categories">{includePart "portal/parts/event-taxonomy", itemID => $post->id, taxonomy => 'ait-events-pro', onlyParent => true, count => 3}</div>

									</div>

								</div>
								<div class="item-more"><a href="{$post->permalink}">{__ 'More info'}</a></div>

							</div>

						{/customLoop}

					</div>
				</div>
				{includePart parts/pagination, location => pagination-below, max => $eventsQuery->max_num_pages, query => $eventsQuery}
				{else}
					{includePart parts/none, message => nothing-found}
				{/if}
			</div>
			{/if}

			{* Items SECTION *}
			<div id="section-items" class="toggle-content ait-widget-content entry-content">
				{if $itemsQuery->have_posts}
				{includePart portal/parts/search-filters, max => $itemsQuery->found_posts, disableRedirect => true, postType => "items"}
				<div class="ajax-container items-container">
					<div class="content">
						{var $noFeatured = $options->theme->item->noFeatured}
						{customLoop from $itemsQuery as $post}

							{var $categories = get_the_terms($post->id, 'ait-items')}
							{var $meta = $post->meta('item-data')}

							{var $dbFeatured = get_post_meta($post->id, '_ait-item_item-featured', true)}
							{var $isFeatured = $dbFeatured != "" ? (bool)$dbFeatured : false}
							{var $imgWidth = 768}
							{var $imgHeight = 195}
							<div n:class='item-container, $isFeatured ? "item-featured", defined("AIT_REVIEWS_ENABLED") ? reviews-enabled'>

								<a href="{$post->permalink}">
									{var $imgHeight = ($imgWidth / 4) * 3}
									<div class="item-thumbnail">
										{if $post->hasImage}
										<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $post->imageUrl, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
										{else}
										<div class="item-thumbnail-wrap" style="background-image: url('{imageUrl $noFeatured, width => $imgWidth, height => $imgHeight, crop => 1}')"></div>
										{/if}
									</div>
								</a>

								<div class="item-text">
									{if defined('AIT_REVIEWS_ENABLED')}
										{includePart "portal/parts/carousel-reviews-stars", item => $post, showCount => false}
									{/if}
									<div class="item-title"><a href="{$post->permalink}"><h3>{!$post->title}</h3></a></div>

									{if count($categories) > 0}
									<div class="item-categories">
										{includePart "portal/parts/item-taxonomy", itemID => $post->id, taxonomy => 'ait-items'}
									</div>
									{/if}

									<div class="item-excerpt">
										<p class="txtrows-3">
											{if $post->hasContent}
												{!$post->content|striptags|trim|truncate: 180}
											{else}
												{!$post->excerpt|striptags|trim|truncate: 180}
											{/if}
										</p>
									</div>

									<div class="item-location"><p>{$meta->map['address']}</p></div>

								</div>
								<div class="item-more"><a href="{$post->permalink}">{__ 'More info'}</a></div>

							</div>
						{/customLoop}

					</div>
				</div>
				{includePart parts/pagination, location => pagination-below, max => $itemsQuery->max_num_pages, query => $itemsQuery}
				{else}
					{includePart parts/none, message => nothing-found}
				{/if}
			</div>


		</div>
	</div>

	{? wp_enqueue_script( 'tabs', aitPaths()->url->ait . '/elements/toggles/design/js/tabs.js') ?}

	<script id="tax-locations-toggles-script">
	jQuery(function(){
		jQuery('#tax-locations-toggles').tabs({
				beforeActivate: function(event, ui){
					ui.newPanel.children().hide();
				},
				activate: function(event, ui){
					ui.newPanel.children().fadeIn('slow');
				}
		});

		{if $options->theme->general->progressivePageLoading}
			if(!isResponsive(1024)){
				jQuery("#tax-locations-toggles").waypoint(function(){
					jQuery("#tax-locations-toggles").parent().addClass('load-finished');
				}, { triggerOnce: true, offset: "95%" });
			} else {
				jQuery("#tax-locations-toggles").parent().addClass('load-finished');
			}
		{else}
			jQuery("#tax-locations-toggles").parent().addClass('load-finished');
		{/if}



	});
	jQuery(window).load(function(){
		tabsWidth('#tax-locations-toggles', "ait-tabs-horizontal");
		responsiveTabs('#tax-locations-toggles', "ait-tabs-horizontal");
	});
	jQuery(window).resize(function(){
		responsiveTabs('#tax-locations-toggles', "ait-tabs-horizontal");
	});




	(function(jQuery, $window, $document, globals){
	"use strict";

	var TABS = TABS || {};

	TABS = jQuery.extend(TABS, {
		hasEvents: false,
		sections: [],
		queryArgs: {},

		initialize: function(){
			var tabs = jQuery('#tax-locations-toggles .toggle-content');
			tabs.each(function(){
				// trigger click on header map switcher
				jQuery('#tax-locations-toggles').find("[href='#"+this.id+"']").click({ id: this.id }, function(event){
					if (event.data.id == 'section-events') {
						jQuery('.map-switcher .option.event').trigger('click');
					} else {
						jQuery('.map-switcher .option.item').trigger('click');
					}
				});

				var sectionId = jQuery(this).attr('id');
				switch(sectionId) {
					case 'section-events':
						TABS.hasEvents = true;
						TABS.sections.push({
							key: 'events',
							element: jQuery('#section-events')
						});
						break;
					case 'section-items':
						TABS.sections.push({
							key: 'items',
							element: jQuery('#section-items')
						});
						break;
				}
			});

			TABS.initArgs();
			TABS.addPageLinksListener();
			TABS.addFiltersListener();
		},

		initArgs: function(){
			TABS.queryArgs['items'] = {
				postType: 'ait-item',
				paged: 1,
				count: parseInt({$sortingSettings->sortingDefaultCount}),
				orderby: {$sortingSettings->sortingDefaultOrderBy},
				order: {$sortingSettings->sortingDefaultOrder},
			}

			if (TABS.hasEvents) {
				TABS.queryArgs['events'] = {
					paged: 1,
					postType: 'ait-event-pro',
					count: parseInt({$eventsProOptions['sortingDefaultCount']}),
					orderby: {$eventsProOptions['sortingDefaultOrderBy']},
					order: {$eventsProOptions['sortingDefaultOrder']},
				}
			}
		},

		addPageLinksListener: function(){
			TABS.sections.forEach(function(section){
				section.element.find('.page-numbers').click(function(e){
					e.preventDefault();
					if (jQuery(this).hasClass('current')) {
						return;
					}
					jQuery(section.element, '.current').removeClass('current');
					jQuery(this).addClass('current');
					TABS.queryArgs[section.key].paged = parseInt(jQuery(this).text());
					TABS.getPaginatedPosts(TABS.queryArgs[section.key]);
				});
			});
		},

		addFiltersListener: function(){
			TABS.sections.forEach(function(section){
				section.element.find('.filters-container .filter-orderby select').change(function(){
					if (this.value === TABS.queryArgs[section.key].orderby) {
						return;
					}
					TABS.queryArgs[section.key].orderby = this.value;
					TABS.getPaginatedPosts(TABS.queryArgs[section.key]);
				});

				section.element.find('.filters-container .filter-order a').click(function(e){
					e.preventDefault();
					TABS.queryArgs[section.key].order = jQuery(this).data('value');
					TABS.getPaginatedPosts(TABS.queryArgs[section.key]);
				});
			});
		},

		getPaginatedPosts: function(queryArgs){
			var request_data               = {};
			request_data['type']           = 'pagedPosts';
			request_data['postType']       = queryArgs.postType;
			request_data['lang']           = {AitLangs::getCurrentLanguageCode()};
			request_data['paged']          = queryArgs.paged;
			request_data['taxonomy']   	   = {$taxonomy};
			request_data['orderby']   	   = queryArgs.orderby;
			request_data['order']   	   = queryArgs.order;
			request_data['posts_per_page'] = queryArgs.count;

			ait.ajax.post('get-items:retrieve', request_data).done(function(data){
				if(data.success == true){
					var raw_data = data.data.raw_data;
					if (queryArgs.postType === 'ait-event-pro') {
						jQuery('#section-events .ajax-container .content').empty();
						jQuery('#section-events .ajax-container .content').append(data.data.html_data);
						jQuery('#section-events .nav-single.pagination-below').remove();
						jQuery('#section-events').append(data.data.html_data_pagination);
						TABS.addPageLinksListener();

					} else {
						jQuery('#section-items .ajax-container .content').empty();
						jQuery('#section-items .ajax-container .content').append(data.data.html_data);
						jQuery('.review-stars-container .review-stars').raty({
							font: true,
							readOnly:true,
							halfShow:true,
							starHalf:'fa-star-half-o',
							starOff:'fa-star-o',
							starOn:'fa-star',
							score: function() {
								return jQuery(this).attr('data-score');
							},
						});
						jQuery('#section-items .nav-single.pagination-below').remove();
						jQuery('#section-items').append(data.data.html_data_pagination);
						TABS.addPageLinksListener();

					}
					jQuery('html, body').animate({
						scrollTop: jQuery("#tax-locations-toggles").offset().top
					}, 1000);
				} else {
					console.log("not success");
				}
			}).fail(function(){
				console.log("fail");
			});

		},
	});

	$window.load(function(){
		TABS.initialize();
	});

	})(jQuery, jQuery(window), jQuery(document), this);

	</script>


